/* eslint-disable max-len */

export const MOCK_DATABASE = {
  data: [
    {
      id: '1efafecc-1f9b-45ce-809c-ad3c935bc3dc',
      name: 'dim_address',
      displayName: 'dim_address',
      fullyQualifiedName: 'bigquery_gcp.shopify.dim_address',
      description:
        'This dimension table contains the billing and shipping addresses of customers. You can join this table with the sales table to generate lists of the billing and shipping addresses. Customers can enter their addresses more than once, so the same address can appear in more than one row in this table. This table contains one row per customer address.',
      version: 0.1,
      updatedAt: 1645083582585,
      updatedBy: 'anonymous',
      href: 'http://localhost:8585/api/v1/tables/1efafecc-1f9b-45ce-809c-ad3c935bc3dc',
      tableType: 'Regular',
      columns: [
        {
          name: 'address_id',
          displayName: 'address_id',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description: 'Unique identifier for the address.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_address.address_id',
          tags: [],
          constraint: 'PRIMARY_KEY',
          ordinalPosition: 1,
        },
        {
          name: 'shop_id',
          displayName: 'shop_id',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            'The ID of the store. This column is a foreign key reference to the shop_id column in the dim_shop table.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_address.shop_id',
          tags: [],
          ordinalPosition: 2,
        },
        {
          name: 'first_name',
          displayName: 'first_name',
          dataType: 'VARCHAR',
          dataLength: 100,
          dataTypeDisplay: 'varchar',
          description: 'First name of the customer.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_address.first_name',
          tags: [],
          ordinalPosition: 3,
        },
        {
          name: 'last_name',
          displayName: 'last_name',
          dataType: 'VARCHAR',
          dataLength: 100,
          dataTypeDisplay: 'varchar',
          description: 'Last name of the customer.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_address.last_name',
          tags: [],
          ordinalPosition: 4,
        },
        {
          name: 'address1',
          displayName: 'address1',
          dataType: 'VARCHAR',
          dataLength: 500,
          dataTypeDisplay: 'varchar',
          description: 'The first address line. For example, 150 Elgin St.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_address.address1',
          tags: [],
          ordinalPosition: 5,
        },
        {
          name: 'address2',
          displayName: 'address2',
          dataType: 'VARCHAR',
          dataLength: 500,
          dataTypeDisplay: 'varchar',
          description: 'The second address line. For example, Suite 800.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_address.address2',
          tags: [],
          ordinalPosition: 6,
        },
        {
          name: 'company',
          displayName: 'company',
          dataType: 'VARCHAR',
          dataLength: 100,
          dataTypeDisplay: 'varchar',
          description: "The name of the customer's business, if one exists.",
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_address.company',
          tags: [],
          ordinalPosition: 7,
        },
        {
          name: 'city',
          displayName: 'city',
          dataType: 'VARCHAR',
          dataLength: 100,
          dataTypeDisplay: 'varchar',
          description: 'The name of the city. For example, Palo Alto.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_address.city',
          tags: [],
          ordinalPosition: 8,
        },
        {
          name: 'region',
          displayName: 'region',
          dataType: 'VARCHAR',
          dataLength: 512,
          dataTypeDisplay: 'varchar',
          description:
            'The name of the region, such as a province or state, where the customer is located. For example, Ontario or New York. This column is the same as CustomerAddress.province in the Admin API.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_address.region',
          tags: [],
          ordinalPosition: 9,
        },
        {
          name: 'zip',
          displayName: 'zip',
          dataType: 'VARCHAR',
          dataLength: 10,
          dataTypeDisplay: 'varchar',
          description: 'The ZIP or postal code. For example, 90210.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_address.zip',
          tags: [],
          ordinalPosition: 10,
        },
        {
          name: 'country',
          displayName: 'country',
          dataType: 'VARCHAR',
          dataLength: 50,
          dataTypeDisplay: 'varchar',
          description: 'The full name of the country. For example, Canada.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_address.country',
          tags: [],
          ordinalPosition: 11,
        },
        {
          name: 'phone',
          displayName: 'phone',
          dataType: 'VARCHAR',
          dataLength: 15,
          dataTypeDisplay: 'varchar',
          description: 'The phone number of the customer.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_address.phone',
          tags: [],
          ordinalPosition: 12,
        },
      ],
      database: {
        id: 'bc96309d-4637-4e7c-8c4f-eb5e30dc3650',
        type: 'database',
        name: 'bigquery_gcp.shopify',
        description:
          'This **mock** database contains tables related to shopify sales and orders with related dimension tables.',
        displayName: 'shopify',
        href: 'http://localhost:8585/api/v1/databases/bc96309d-4637-4e7c-8c4f-eb5e30dc3650',
      },
      service: {
        id: '31319d85-dba6-4c9a-9862-b0798e1d0b87',
        type: 'databaseService',
        name: 'bigquery_gcp',
        description: '',
      },
      serviceType: 'BigQuery',
      tags: [],
      usageSummary: {
        dailyStats: {
          count: 100,
          percentileRank: 36,
        },
        weeklyStats: {
          count: 100,
          percentileRank: 36,
        },
        monthlyStats: {
          count: 100,
          percentileRank: 36,
        },
        date: '2022-02-17',
      },
      deleted: false,
    },
    {
      id: '7680c97e-5879-4df2-87cb-2fc285493bd5',
      name: 'dim_api_client',
      displayName: 'dim_api_client',
      fullyQualifiedName: 'bigquery_gcp.shopify.dim_api_client',
      description:
        'This dimension table contains a row for each channel or app that your customers use to create orders. Some examples of these include Facebook and Online Store. You can join this table with the sales table to measure channel performance.',
      version: 0.1,
      updatedAt: 1645083582825,
      updatedBy: 'anonymous',
      href: 'http://localhost:8585/api/v1/tables/7680c97e-5879-4df2-87cb-2fc285493bd5',
      tableType: 'Regular',
      columns: [
        {
          name: 'api_client_id',
          displayName: 'api_client_id',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            'ID of the API client that called the Shopify API. For example, the ID for the online store is 580111.',
          fullyQualifiedName:
            'bigquery_gcp.shopify.dim_api_client.api_client_id',
          tags: [],
          ordinalPosition: 1,
        },
        {
          name: 'title',
          displayName: 'title',
          dataType: 'VARCHAR',
          dataLength: 100,
          dataTypeDisplay: 'varchar',
          description:
            'Full name of the app or channel. For example, Point of Sale, Online Store.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_api_client.title',
          tags: [],
          ordinalPosition: 2,
        },
      ],
      database: {
        id: 'bc96309d-4637-4e7c-8c4f-eb5e30dc3650',
        type: 'database',
        name: 'bigquery_gcp.shopify',
        description:
          'This **mock** database contains tables related to shopify sales and orders with related dimension tables.',
        displayName: 'shopify',
        href: 'http://localhost:8585/api/v1/databases/bc96309d-4637-4e7c-8c4f-eb5e30dc3650',
      },
      service: {
        id: '31319d85-dba6-4c9a-9862-b0798e1d0b87',
        type: 'databaseService',
        name: 'bigquery_gcp',
        description: '',
      },
      serviceType: 'BigQuery',
      tags: [],
      usageSummary: {
        dailyStats: {
          count: 85,
          percentileRank: 27,
        },
        weeklyStats: {
          count: 85,
          percentileRank: 27,
        },
        monthlyStats: {
          count: 85,
          percentileRank: 27,
        },
        date: '2022-02-17',
      },
      deleted: false,
    },
    {
      id: '3b90510c-95d0-46e0-abd4-9c4c123faaf3',
      name: 'dim_customer',
      displayName: 'dim_customer',
      fullyQualifiedName: 'bigquery_gcp.shopify.dim_customer',
      description:
        'The dimension table contains data about your customers. The customers table contains one row per customer. It includes historical metrics (such as the total amount that each customer has spent in your store) as well as forward-looking metrics (such as the predicted number of days between future orders and the expected order value in the next 30 days). This table also includes columns that segment customers into various categories (such as new, returning, promising, at risk, dormant, and loyal), which you can use to target marketing activities.',
      version: 0.1,
      updatedAt: 1645083582912,
      updatedBy: 'anonymous',
      href: 'http://localhost:8585/api/v1/tables/3b90510c-95d0-46e0-abd4-9c4c123faaf3',
      tableType: 'Regular',
      columns: [
        {
          name: 'customer_id',
          displayName: 'customer_id',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            'The ID of the customer. This is the primary key column for this table.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_customer.customer_id',
          tags: [],
          constraint: 'PRIMARY_KEY',
          ordinalPosition: 1,
        },
        {
          name: 'shop_id',
          displayName: 'shop_id',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            'The ID of the store. This column is a foreign key reference to the shop_id column in the dim_shop table.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_customer.shop_id',
          tags: [],
          ordinalPosition: 2,
        },
        {
          name: 'average_order_size',
          displayName: 'average_order_size',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            "The average amount of money that the customer spends on orders from the store. The value is formatted in the store's currency and it is calculated using the following formula: total_order_value / total_order_count.",
          fullyQualifiedName:
            'bigquery_gcp.shopify.dim_customer.average_order_size',
          tags: [],
          ordinalPosition: 3,
        },
        {
          name: 'total_order_count',
          displayName: 'total_order_count',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            'The total number of orders that the customer has made from this store across their lifetime.',
          fullyQualifiedName:
            'bigquery_gcp.shopify.dim_customer.total_order_count',
          tags: [],
          ordinalPosition: 4,
        },
        {
          name: 'total_order_value',
          displayName: 'total_order_value',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            "The total amount of money that the customer has spent on orders from the store across their lifetime. The value is formatted in the store's currency.",
          fullyQualifiedName:
            'bigquery_gcp.shopify.dim_customer.total_order_value',
          tags: [],
          ordinalPosition: 5,
        },
        {
          name: 'first_order_date',
          displayName: 'first_order_date',
          dataType: 'TIMESTAMP',
          dataTypeDisplay: 'timestamp',
          description:
            'The date (ISO 8601) and time (UTC) when the customer placed their first order. The format is YYYY-MM-DD HH:mm:ss (for example, 2016-02-05 17:04:01).',
          fullyQualifiedName:
            'bigquery_gcp.shopify.dim_customer.first_order_date',
          tags: [],
          ordinalPosition: 6,
        },
        {
          name: 'last_order_date',
          displayName: 'last_order_date',
          dataType: 'TIMESTAMP',
          dataTypeDisplay: 'timestamp',
          description:
            'The date (ISO 8601) and time (UTC) when the customer placed their most recent order. The format is YYYY-MM-DD HH:mm:ss (for example, 2016-02-05 17:04:01).',
          fullyQualifiedName:
            'bigquery_gcp.shopify.dim_customer.last_order_date',
          tags: [],
          ordinalPosition: 7,
        },
        {
          name: 'rank',
          displayName: 'rank',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            "A numeric ranking of the customer's lifetime value for the store relative to all customers.",
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_customer.rank',
          tags: [],
          ordinalPosition: 8,
        },
        {
          name: 'new',
          displayName: 'new',
          dataType: 'BOOLEAN',
          dataTypeDisplay: 'boolean',
          description:
            'Returns true if the customer made their first order in the last 30 days. Otherwise returns false.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_customer.new',
          tags: [],
          ordinalPosition: 9,
        },
        {
          name: 'returning',
          displayName: 'returning',
          dataType: 'BOOLEAN',
          dataTypeDisplay: 'boolean',
          description:
            'Returns true when the customer has made more than one order. Returns false when the customer has made one order only. Returns Null when the customer exists in Shopify, but they have not made any orders. For example, this column can be null because the customer provided their contact information and then abandoned the checkout. Customers can also be created manually in the Shopify admin and by apps that use the Admin API.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_customer.returning',
          tags: [],
          ordinalPosition: 10,
        },
        {
          name: 'loyal',
          displayName: 'loyal',
          dataType: 'BOOLEAN',
          dataTypeDisplay: 'boolean',
          description:
            'Returns true when the customer has a high probability of returning, and has placed more orders than the average customer. Otherwise returns false.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_customer.loyal',
          tags: [],
          ordinalPosition: 11,
        },
        {
          name: 'at_risk',
          displayName: 'at_risk',
          dataType: 'BOOLEAN',
          dataTypeDisplay: 'boolean',
          description:
            'Returns true for repeat customers, who have a medium probability of returning and have not placed an order in a while. Otherwise returns false.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_customer.at_risk',
          tags: [],
          ordinalPosition: 12,
        },
        {
          name: 'dormant',
          displayName: 'dormant',
          dataType: 'BOOLEAN',
          dataTypeDisplay: 'boolean',
          description:
            'Returns true when the customer has a very low probability of returning to make another purchase. Otherwise returns false.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_customer.dormant',
          tags: [],
          ordinalPosition: 13,
        },
        {
          name: 'promising',
          displayName: 'promising',
          dataType: 'BOOLEAN',
          dataTypeDisplay: 'boolean',
          description:
            'Returns true when the customer has a high probability of returning and becoming a loyal customer. Otherwise returns false.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_customer.promising',
          tags: [],
          ordinalPosition: 14,
        },
        {
          name: 'predicted_average_number_of_days_between_orders',
          displayName: 'predicted_average_number_of_days_between_orders',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description: 'The predicated number of days between future orders.',
          fullyQualifiedName:
            'bigquery_gcp.shopify.dim_customer.predicted_average_number_of_days_between_orders',
          tags: [],
          ordinalPosition: 15,
        },
        {
          name: 'expected_purchase_value_in_next_30_days',
          displayName: 'expected_purchase_value_in_next_30_days',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            "The total purchase amount of the orders that the customer is expected to make in the next 30 days. The value is formatted in the store's currency.",
          fullyQualifiedName:
            'bigquery_gcp.shopify.dim_customer.expected_purchase_value_in_next_30_days',
          tags: [],
          ordinalPosition: 16,
        },
        {
          name: 'first_name',
          displayName: 'first_name',
          dataType: 'VARCHAR',
          dataLength: 100,
          dataTypeDisplay: 'varchar',
          description: 'The first name of the customer.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_customer.first_name',
          tags: [],
          ordinalPosition: 17,
        },
        {
          name: 'last_name',
          displayName: 'last_name',
          dataType: 'VARCHAR',
          dataLength: 100,
          dataTypeDisplay: 'varchar',
          description: 'The last name of the customer.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_customer.last_name',
          tags: [],
          ordinalPosition: 18,
        },
        {
          name: 'city',
          displayName: 'city',
          dataType: 'VARCHAR',
          dataLength: 100,
          dataTypeDisplay: 'varchar',
          description:
            "The city from the customer's billing address. For example, Topeka.",
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_customer.city',
          tags: [],
          ordinalPosition: 19,
        },
        {
          name: 'region',
          displayName: 'region',
          dataType: 'VARCHAR',
          dataLength: 100,
          dataTypeDisplay: 'varchar',
          description:
            "The name of the region, such as the province or state, from the customer's billing address. For example, Alberta, Florida. This column is the same as CustomerAddress.province in the Admin API.",
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_customer.region',
          tags: [],
          ordinalPosition: 20,
        },
        {
          name: 'country',
          displayName: 'country',
          dataType: 'VARCHAR',
          dataLength: 100,
          dataTypeDisplay: 'varchar',
          description:
            "The country from the customer's billing address. For example, United States.",
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_customer.country',
          tags: [],
          ordinalPosition: 21,
        },
        {
          name: 'email',
          displayName: 'email',
          dataType: 'VARCHAR',
          dataLength: 100,
          dataTypeDisplay: 'varchar',
          description: 'The email of the customer.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_customer.email',
          tags: [],
          ordinalPosition: 22,
        },
        {
          name: 'phone',
          displayName: 'phone',
          dataType: 'VARCHAR',
          dataLength: 15,
          dataTypeDisplay: 'varchar',
          description: 'The phone number of the customer.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_customer.phone',
          tags: [],
          ordinalPosition: 23,
        },
        {
          name: 'verified_email',
          displayName: 'verified_email',
          dataType: 'BOOLEAN',
          dataLength: 15,
          dataTypeDisplay: 'boolean',
          description:
            "Returns true when the customer's email has been verified. Otherwise returns false.",
          fullyQualifiedName:
            'bigquery_gcp.shopify.dim_customer.verified_email',
          tags: [],
          ordinalPosition: 24,
        },
        {
          name: 'created_at',
          displayName: 'created_at',
          dataType: 'TIMESTAMP',
          dataTypeDisplay: 'timestamp',
          description:
            'The date (ISO 8601) and time (UTC) when the customer was added to the store. The format is YYYY-MM-DD HH:mm:ss (for example, 2018-02-05 17:04:01).',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_customer.created_at',
          tags: [],
          ordinalPosition: 25,
        },
        {
          name: 'accepts_marketing',
          displayName: 'accepts_marketing',
          dataType: 'BOOLEAN',
          dataTypeDisplay: 'boolean',
          description:
            'Returns true when the customer has agreed to accept marketing. Otherwise returns false.',
          fullyQualifiedName:
            'bigquery_gcp.shopify.dim_customer.accepts_marketing',
          tags: [],
          ordinalPosition: 26,
        },
        {
          name: 'customer',
          displayName: 'customer',
          dataType: 'STRUCT',
          dataTypeDisplay:
            'struct<username:varchar(32),name:varchar(32),sex:char(1),address:varchar(128),mail:varchar(64),birthdate:varchar(16)>',
          description: 'Customer Personal Details',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_customer.customer',
          tags: [],
          ordinalPosition: 27,
          children: [
            {
              name: 'username',
              displayName: 'username',
              dataType: 'VARCHAR',
              dataLength: 20,
              dataTypeDisplay: 'VARCHAR(32)',
              fullyQualifiedName:
                'bigquery_gcp.shopify.dim_customer.customer.username',
              tags: [],
            },
            {
              name: 'name',
              displayName: 'name',
              dataType: 'VARCHAR',
              dataLength: 20,
              dataTypeDisplay: 'VARCHAR(32)',
              fullyQualifiedName:
                'bigquery_gcp.shopify.dim_customer.customer.name',
              tags: [],
            },
            {
              name: 'sex',
              displayName: 'sex',
              dataType: 'CHAR',
              dataLength: 1,
              dataTypeDisplay: 'CHAR(1)',
              fullyQualifiedName:
                'bigquery_gcp.shopify.dim_customer.customer.sex',
              tags: [],
            },
            {
              name: 'address',
              displayName: 'address',
              dataType: 'VARCHAR',
              dataLength: 128,
              dataTypeDisplay: 'VARCHAR(128)',
              fullyQualifiedName:
                'bigquery_gcp.shopify.dim_customer.customer.address',
              tags: [],
            },
            {
              name: 'mail',
              displayName: 'mail',
              dataType: 'VARCHAR',
              dataLength: 64,
              dataTypeDisplay: 'VARCHAR(64)',
              fullyQualifiedName:
                'bigquery_gcp.shopify.dim_customer.customer.mail',
              tags: [],
            },
            {
              name: 'birthdate',
              displayName: 'birthdate',
              dataType: 'VARCHAR',
              dataLength: 16,
              dataTypeDisplay: 'VARCHAR(16)',
              fullyQualifiedName:
                'bigquery_gcp.shopify.dim_customer.customer.birthdate',
              tags: [],
            },
          ],
        },
        {
          name: 'shipping_address',
          displayName: 'shipping_address',
          dataType: 'ARRAY',
          arrayDataType: 'STRUCT',
          dataTypeDisplay:
            'array<struct<name:varchar(32),street_address:varchar(128), city:varchar(32),postcode:varchar(8)>>',
          fullyQualifiedName:
            'bigquery_gcp.shopify.dim_customer.shipping_address',
          tags: [],
        },
        {
          name: 'orders',
          displayName: 'orders',
          dataType: 'ARRAY',
          arrayDataType: 'STRUCT',
          dataTypeDisplay:
            'array<struct<product_id:varchar(24),price:int,onsale:boolean,tax:int,weight:int,others:int,vendor:varchar(64)>>',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_customer.orders',
          tags: [],
        },
      ],
      database: {
        id: 'bc96309d-4637-4e7c-8c4f-eb5e30dc3650',
        type: 'database',
        name: 'bigquery_gcp.shopify',
        description:
          'This **mock** database contains tables related to shopify sales and orders with related dimension tables.',
        displayName: 'shopify',
        href: 'http://localhost:8585/api/v1/databases/bc96309d-4637-4e7c-8c4f-eb5e30dc3650',
      },
      service: {
        id: '31319d85-dba6-4c9a-9862-b0798e1d0b87',
        type: 'databaseService',
        name: 'bigquery_gcp',
        description: '',
      },
      serviceType: 'BigQuery',
      tags: [],
      usageSummary: {
        dailyStats: {
          count: 140,
          percentileRank: 64,
        },
        weeklyStats: {
          count: 140,
          percentileRank: 64,
        },
        monthlyStats: {
          count: 140,
          percentileRank: 64,
        },
        date: '2022-02-17',
      },
      deleted: false,
    },
    {
      id: '796f2d7a-9d0d-41a8-8928-fbebb2564065',
      name: 'dim_location',
      displayName: 'dim_location',
      fullyQualifiedName: 'bigquery_gcp.shopify.dim_location',
      description:
        'The dimension table contains metrics about your Shopify POS. This table contains one row per Shopify POS location. You can use this table to generate a list of the Shopify POS locations or you can join the table with the sales table to measure sales performance.',
      version: 0.1,
      updatedAt: 1645083583196,
      updatedBy: 'anonymous',
      href: 'http://localhost:8585/api/v1/tables/796f2d7a-9d0d-41a8-8928-fbebb2564065',
      tableType: 'Regular',
      columns: [
        {
          name: 'location_id',
          displayName: 'location_id',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_location.location_id',
          tags: [],
          constraint: 'PRIMARY_KEY',
          ordinalPosition: 1,
        },
        {
          name: 'shop_id',
          displayName: 'shop_id',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            'The ID of the store. This column is a foreign key reference to the shop_id column in the dim_shop table.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_location.shop_id',
          tags: [],
          ordinalPosition: 2,
        },
        {
          name: 'name',
          displayName: 'name',
          dataType: 'VARCHAR',
          dataLength: 100,
          dataTypeDisplay: 'varchar',
          description:
            'Name of the POS location as provided by the merchant. For example, 150 Elgin Street or Downtown Boutique.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_location.name',
          tags: [],
          ordinalPosition: 3,
        },
        {
          name: 'address',
          displayName: 'address',
          dataType: 'STRUCT',
          dataTypeDisplay:
            'struct<street_name:varchar(24),zipcode:int,city:varchar(100),country:struct<country_code:int, name:varchar(100)>>',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_location.address',
          tags: [],
          children: [
            {
              name: 'street_name',
              displayName: 'street_name',
              dataType: 'VARCHAR',
              dataLength: 24,
              dataTypeDisplay: 'VARCHAR(24)',
              fullyQualifiedName:
                'bigquery_gcp.shopify.dim_location.address.street_name',
              tags: [],
            },
            {
              name: 'zipcode',
              displayName: 'zipcode',
              dataType: 'INT',
              dataTypeDisplay: 'int',
              fullyQualifiedName:
                'bigquery_gcp.shopify.dim_location.address.zipcode',
              tags: [],
            },
            {
              name: 'city',
              displayName: 'city',
              dataType: 'VARCHAR',
              dataLength: 100,
              dataTypeDisplay: 'VARCHAR(100)',
              fullyQualifiedName:
                'bigquery_gcp.shopify.dim_location.address.city',
              tags: [],
            },
            {
              name: 'country',
              displayName: 'country',
              dataType: 'STRUCT',
              dataTypeDisplay:
                'struct<country_code:int, country_name:varchar(100)>',
              fullyQualifiedName:
                'bigquery_gcp.shopify.dim_location.address.country',
              tags: [],
              children: [
                {
                  name: 'country_code',
                  displayName: 'country_code',
                  dataType: 'INT',
                  dataTypeDisplay: 'INT',
                  fullyQualifiedName:
                    'bigquery_gcp.shopify.dim_location.address.country.country_code',
                  tags: [],
                },
                {
                  name: 'country_name',
                  displayName: 'country_name',
                  dataType: 'VARCHAR',
                  dataLength: 100,
                  dataTypeDisplay: 'VARCHAR(100)',
                  fullyQualifiedName:
                    'bigquery_gcp.shopify.dim_location.address.country.country_name',
                  tags: [],
                },
              ],
            },
          ],
        },
      ],
      database: {
        id: 'bc96309d-4637-4e7c-8c4f-eb5e30dc3650',
        type: 'database',
        name: 'bigquery_gcp.shopify',
        description:
          'This **mock** database contains tables related to shopify sales and orders with related dimension tables.',
        displayName: 'shopify',
        href: 'http://localhost:8585/api/v1/databases/bc96309d-4637-4e7c-8c4f-eb5e30dc3650',
      },
      service: {
        id: '31319d85-dba6-4c9a-9862-b0798e1d0b87',
        type: 'databaseService',
        name: 'bigquery_gcp',
        description: '',
      },
      serviceType: 'BigQuery',
      tags: [],
      usageSummary: {
        dailyStats: {
          count: 75,
          percentileRank: 9,
        },
        weeklyStats: {
          count: 75,
          percentileRank: 9,
        },
        monthlyStats: {
          count: 75,
          percentileRank: 9,
        },
        date: '2022-02-17',
      },
      deleted: false,
    },
    {
      id: '16618ed8-792e-41ba-9813-0528f3e3b2e1',
      name: 'dim_product',
      displayName: 'dim_product',
      fullyQualifiedName: 'bigquery_gcp.shopify.dim_product',
      description:
        'This dimension table contains information about each of the products in your store. This table contains one row per product. This table reflects the current state of products in your Shopify admin.',
      version: 0.1,
      updatedAt: 1645083583241,
      updatedBy: 'anonymous',
      href: 'http://localhost:8585/api/v1/tables/16618ed8-792e-41ba-9813-0528f3e3b2e1',
      tableType: 'Regular',
      columns: [
        {
          name: 'product_id',
          displayName: 'product_id',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            'Unique identifier for the product. This column is the primary key for this table.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_product.product_id',
          tags: [],
          constraint: 'PRIMARY_KEY',
          ordinalPosition: 1,
        },
        {
          name: 'shop_id',
          displayName: 'shop_id',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            'ID of the store. This column is a foreign key reference to the shop_id column in the dim_shop table.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_product.shop_id',
          tags: [],
          ordinalPosition: 2,
        },
        {
          name: 'title',
          displayName: 'title',
          dataType: 'VARCHAR',
          dataLength: 100,
          dataTypeDisplay: 'varchar',
          description: 'Name of the product.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_product.title',
          tags: [],
          ordinalPosition: 3,
        },
        {
          name: 'vendor',
          displayName: 'vendor',
          dataType: 'VARCHAR',
          dataLength: 100,
          dataTypeDisplay: 'varchar',
          description:
            'Name of the manufacturer, wholesaler, or other vendor of the product.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_product.vendor',
          tags: [],
          ordinalPosition: 4,
        },
        {
          name: 'created_at',
          displayName: 'created_at',
          dataType: 'TIMESTAMP',
          dataTypeDisplay: 'timestamp',
          description:
            'Date (ISO 8601) and time (UTC) when the product was added to the store. The format is YYYY-MM-DD HH:mm:ss (for example, 2016-02-05 17:04:01).',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_product.created_at',
          tags: [],
          ordinalPosition: 5,
        },
        {
          name: 'deleted_at',
          displayName: 'deleted_at',
          dataType: 'TIMESTAMP',
          dataTypeDisplay: 'timestamp',
          description:
            'Date (ISO 8601) and time (UTC) when the product was deleted. The format is YYYY-MM-DD HH:mm:ss (for example, 2016-02-05 17:04:01).',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_product.deleted_at',
          tags: [],
          ordinalPosition: 6,
        },
      ],
      database: {
        id: 'bc96309d-4637-4e7c-8c4f-eb5e30dc3650',
        type: 'database',
        name: 'bigquery_gcp.shopify',
        description:
          'This **mock** database contains tables related to shopify sales and orders with related dimension tables.',
        displayName: 'shopify',
        href: 'http://localhost:8585/api/v1/databases/bc96309d-4637-4e7c-8c4f-eb5e30dc3650',
      },
      service: {
        id: '31319d85-dba6-4c9a-9862-b0798e1d0b87',
        type: 'databaseService',
        name: 'bigquery_gcp',
        description: '',
      },
      serviceType: 'BigQuery',
      tags: [],
      usageSummary: {
        dailyStats: {
          count: 130,
          percentileRank: 55,
        },
        weeklyStats: {
          count: 130,
          percentileRank: 55,
        },
        monthlyStats: {
          count: 130,
          percentileRank: 55,
        },
        date: '2022-02-17',
      },
      deleted: false,
    },
    {
      id: 'dd719ae4-aa90-4ccb-a9c8-56f8c72b1d5e',
      name: 'dim_product_variant',
      displayName: 'dim_product_variant',
      fullyQualifiedName: 'bigquery_gcp.shopify.dim_product_variant',
      description:
        'This dimension table contains current information about each of the product variants in your store. This table contains one row per product variant.',
      version: 0.1,
      updatedAt: 1645083583297,
      updatedBy: 'anonymous',
      href: 'http://localhost:8585/api/v1/tables/dd719ae4-aa90-4ccb-a9c8-56f8c72b1d5e',
      tableType: 'Regular',
      columns: [
        {
          name: 'product_variant_id',
          displayName: 'product_variant_id',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            'The ID of the product variant. This column is the primary key for this table.',
          fullyQualifiedName:
            'bigquery_gcp.shopify.dim_product_variant.product_variant_id',
          tags: [],
          constraint: 'PRIMARY_KEY',
          ordinalPosition: 1,
        },
        {
          name: 'product_id',
          displayName: 'product_id',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            'The ID of the product. This column is a foreign key reference to the product_id column in dim_product table.',
          fullyQualifiedName:
            'bigquery_gcp.shopify.dim_product_variant.product_id',
          tags: [],
          ordinalPosition: 2,
        },
        {
          name: 'shop_id',
          displayName: 'shop_id',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            'The ID of the store. This column is a foreign key reference to the shop_id column in the dim_shop table.',
          fullyQualifiedName:
            'bigquery_gcp.shopify.dim_product_variant.shop_id',
          tags: [],
          ordinalPosition: 3,
        },
        {
          name: 'title',
          displayName: 'title',
          dataType: 'VARCHAR',
          dataLength: 100,
          dataTypeDisplay: 'varchar',
          description: 'The title of the product variant.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_product_variant.title',
          tags: [],
          ordinalPosition: 4,
        },
        {
          name: 'barcode',
          displayName: 'barcode',
          dataType: 'VARCHAR',
          dataLength: 100,
          dataTypeDisplay: 'varchar',
          description:
            'The Barcode, UPC, or ISBN number of the product variant.',
          fullyQualifiedName:
            'bigquery_gcp.shopify.dim_product_variant.barcode',
          tags: [],
          ordinalPosition: 5,
        },
        {
          name: 'sku',
          displayName: 'sku',
          dataType: 'VARCHAR',
          dataLength: 100,
          dataTypeDisplay: 'varchar',
          description: 'The SKU of the product variant.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_product_variant.sku',
          tags: [],
          ordinalPosition: 6,
        },
        {
          name: 'price',
          displayName: 'price',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            "The price of the product variant, in your store's currency.",
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_product_variant.price',
          tags: [],
          ordinalPosition: 7,
        },
        {
          name: 'grams',
          displayName: 'grams',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description: 'Number of grams that the product variant weighs.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_product_variant.grams',
          tags: [],
          ordinalPosition: 8,
        },
        {
          name: 'created_at',
          displayName: 'created_at',
          dataType: 'TIMESTAMP',
          dataTypeDisplay: 'timestamp',
          description:
            'The date (ISO 8601) and time (UTC) when the product variant was added to the store. The format is YYYY-MM-DD HH:mm:ss (for example, 2016-02-05 17:04:01).',
          fullyQualifiedName:
            'bigquery_gcp.shopify.dim_product_variant.created_at',
          tags: [],
          ordinalPosition: 9,
        },
        {
          name: 'deleted_at',
          displayName: 'deleted_at',
          dataType: 'TIMESTAMP',
          dataTypeDisplay: 'timestamp',
          description:
            'The date (ISO 8601) and time (UTC) when the product variant was deleted. The format is YYYY-MM-DD HH:mm:ss (for example, 2016-02-05 17:04:01).',
          fullyQualifiedName:
            'bigquery_gcp.shopify.dim_product_variant.deleted_at',
          tags: [],
          ordinalPosition: 10,
        },
      ],
      database: {
        id: 'bc96309d-4637-4e7c-8c4f-eb5e30dc3650',
        type: 'database',
        name: 'bigquery_gcp.shopify',
        description:
          'This **mock** database contains tables related to shopify sales and orders with related dimension tables.',
        displayName: 'shopify',
        href: 'http://localhost:8585/api/v1/databases/bc96309d-4637-4e7c-8c4f-eb5e30dc3650',
      },
      service: {
        id: '31319d85-dba6-4c9a-9862-b0798e1d0b87',
        type: 'databaseService',
        name: 'bigquery_gcp',
        description: '',
      },
      serviceType: 'BigQuery',
      tags: [],
      usageSummary: {
        dailyStats: {
          count: 35,
          percentileRank: 0,
        },
        weeklyStats: {
          count: 35,
          percentileRank: 0,
        },
        monthlyStats: {
          count: 35,
          percentileRank: 0,
        },
        date: '2022-02-17',
      },
      deleted: false,
    },
    {
      id: '82172e5b-660b-4b9b-94f7-7d87431b9baa',
      name: 'dim_shop',
      displayName: 'dim_shop',
      fullyQualifiedName: 'bigquery_gcp.shopify.dim_shop',
      description:
        'This dimension table contains online shop information. This table contains one shop per row.',
      version: 0.1,
      updatedAt: 1645083583382,
      updatedBy: 'anonymous',
      href: 'http://localhost:8585/api/v1/tables/82172e5b-660b-4b9b-94f7-7d87431b9baa',
      tableType: 'Regular',
      columns: [
        {
          name: 'shop_id',
          displayName: 'shop_id',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            'Unique identifier for the store. This column is the primary key for this table.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_shop.shop_id',
          tags: [],
          constraint: 'PRIMARY_KEY',
          ordinalPosition: 1,
        },
        {
          name: 'name',
          displayName: 'name',
          dataType: 'VARCHAR',
          dataLength: 100,
          dataTypeDisplay: 'varchar',
          description: 'Name of your store.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_shop.name',
          tags: [],
          ordinalPosition: 2,
        },
        {
          name: 'domain',
          displayName: 'domain',
          dataType: 'VARCHAR',
          dataLength: 1000,
          dataTypeDisplay: 'varchar',
          description:
            'Primary domain specified for your online store. Your primary domain is the one that your customers and search engines see. For example, www.mycompany.com.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_shop.domain',
          tags: [],
          ordinalPosition: 3,
        },
      ],
      database: {
        id: 'bc96309d-4637-4e7c-8c4f-eb5e30dc3650',
        type: 'database',
        name: 'bigquery_gcp.shopify',
        description:
          'This **mock** database contains tables related to shopify sales and orders with related dimension tables.',
        displayName: 'shopify',
        href: 'http://localhost:8585/api/v1/databases/bc96309d-4637-4e7c-8c4f-eb5e30dc3650',
      },
      service: {
        id: '31319d85-dba6-4c9a-9862-b0798e1d0b87',
        type: 'databaseService',
        name: 'bigquery_gcp',
        description: '',
      },
      serviceType: 'BigQuery',
      tags: [],
      usageSummary: {
        dailyStats: {
          count: 195,
          percentileRank: 82,
        },
        weeklyStats: {
          count: 195,
          percentileRank: 82,
        },
        monthlyStats: {
          count: 195,
          percentileRank: 82,
        },
        date: '2022-02-17',
      },
      deleted: false,
    },
    {
      id: 'e54f82e8-5bd6-4fc4-aad0-e3f729647394',
      name: 'dim_staff',
      displayName: 'dim_staff',
      fullyQualifiedName: 'bigquery_gcp.shopify.dim_staff',
      description:
        'This dimension table contains information about the staff accounts in the store. It contains one row per staff account. Use this table to generate a list of your staff accounts, or join it with the sales, API clients and locations tables to analyze staff performance at Shopify POS locations.',
      version: 0.1,
      updatedAt: 1645083583419,
      updatedBy: 'anonymous',
      href: 'http://localhost:8585/api/v1/tables/e54f82e8-5bd6-4fc4-aad0-e3f729647394',
      tableType: 'Regular',
      columns: [
        {
          name: 'user_id',
          displayName: 'user_id',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            'Unique identifier for the user of your Shopify POS or your Shopify admin.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_staff.user_id',
          tags: [],
          constraint: 'PRIMARY_KEY',
          ordinalPosition: 1,
        },
        {
          name: 'shop_id',
          displayName: 'shop_id',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            'The ID of the store. This column is a foreign key reference to the shop_id column in the dim_shop table.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_staff.shop_id',
          tags: [],
          ordinalPosition: 2,
        },
        {
          name: 'first_name',
          displayName: 'first_name',
          dataType: 'VARCHAR',
          dataLength: 100,
          dataTypeDisplay: 'varchar',
          description: 'First name of the staff member.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_staff.first_name',
          tags: [],
          ordinalPosition: 3,
        },
        {
          name: 'last_name',
          displayName: 'last_name',
          dataType: 'VARCHAR',
          dataLength: 100,
          dataTypeDisplay: 'varchar',
          description: 'Last name of the staff member.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_staff.last_name',
          tags: [],
          ordinalPosition: 4,
        },
        {
          name: 'email',
          displayName: 'email',
          dataType: 'VARCHAR',
          dataLength: 100,
          dataTypeDisplay: 'varchar',
          description: 'Email address of the staff member.',
          fullyQualifiedName: 'bigquery_gcp.shopify.dim_staff.email',
          tags: [],
          ordinalPosition: 5,
        },
      ],
      database: {
        id: 'bc96309d-4637-4e7c-8c4f-eb5e30dc3650',
        type: 'database',
        name: 'bigquery_gcp.shopify',
        description:
          'This **mock** database contains tables related to shopify sales and orders with related dimension tables.',
        displayName: 'shopify',
        href: 'http://localhost:8585/api/v1/databases/bc96309d-4637-4e7c-8c4f-eb5e30dc3650',
      },
      service: {
        id: '31319d85-dba6-4c9a-9862-b0798e1d0b87',
        type: 'databaseService',
        name: 'bigquery_gcp',
        description: '',
      },
      serviceType: 'BigQuery',
      tags: [],
      usageSummary: {
        dailyStats: {
          count: 75,
          percentileRank: 9,
        },
        weeklyStats: {
          count: 75,
          percentileRank: 9,
        },
        monthlyStats: {
          count: 75,
          percentileRank: 9,
        },
        date: '2022-02-17',
      },
      deleted: false,
    },
    {
      id: '769c603b-002f-4481-8004-f8c7c7e5ef9e',
      name: 'fact_line_item',
      displayName: 'fact_line_item',
      fullyQualifiedName: 'bigquery_gcp.shopify.fact_line_item',
      description:
        'The fact table contains information about the line items in orders. Each row in the table is a line item in an order. It contains product and product variant details as they were at the time of the order. This table does not include information about returns. Join this table with the TODO fact_sales table to get the details of the product on the day it was sold. This data will match what appears on the order in your Shopify admin as well as the in the Sales reports.',
      version: 0.1,
      updatedAt: 1645083583467,
      updatedBy: 'anonymous',
      href: 'http://localhost:8585/api/v1/tables/769c603b-002f-4481-8004-f8c7c7e5ef9e',
      tableType: 'Regular',
      columns: [
        {
          name: 'line_item_id',
          displayName: 'line_item_id',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            'ID of the line item. This column is the primary key for the this table.',
          fullyQualifiedName:
            'bigquery_gcp.shopify.fact_line_item.line_item_id',
          tags: [],
          constraint: 'PRIMARY_KEY',
          ordinalPosition: 1,
        },
        {
          name: 'billing_address_id',
          displayName: 'billing_address_id',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          fullyQualifiedName:
            'bigquery_gcp.shopify.fact_line_item.billing_address_id',
          tags: [],
          ordinalPosition: 2,
        },
        {
          name: 'order_id',
          displayName: 'order_id',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            'ID of the order. This column is a foreign key reference to the orders_id column in the fact_order table.',
          fullyQualifiedName: 'bigquery_gcp.shopify.fact_line_item.order_id',
          tags: [],
          ordinalPosition: 3,
        },
        {
          name: 'product_id',
          displayName: 'product_id',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            'ID of the product ordered, unless the line item is for shipping costs (you can add custom items using a draft order). This column is a foreign key reference to the product_id column in the dim_product table.',
          fullyQualifiedName: 'bigquery_gcp.shopify.fact_line_item.product_id',
          tags: [],
          ordinalPosition: 4,
        },
        {
          name: 'product_variant_id',
          displayName: 'product_variant_id',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          fullyQualifiedName:
            'bigquery_gcp.shopify.fact_line_item.product_variant_id',
          tags: [],
          ordinalPosition: 5,
        },
        {
          name: 'shop_id',
          displayName: 'shop_id',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            'ID of the store. This column is a foreign key reference to the shop_id column in the dim_shop table.',
          fullyQualifiedName: 'bigquery_gcp.shopify.fact_line_item.shop_id',
          tags: [],
          ordinalPosition: 6,
        },
        {
          name: 'name',
          displayName: 'name',
          dataType: 'VARCHAR',
          dataLength: 100,
          dataTypeDisplay: 'varchar',
          description:
            'Name of the line item. This name combines the product title and the variant title into the following format: product-title - variant-title. If there is no variant title, then the format is product-title. This column is the same as order.line_items.name"in the Admin API.',
          fullyQualifiedName: 'bigquery_gcp.shopify.fact_line_item.name',
          tags: [],
          ordinalPosition: 7,
        },
        {
          name: 'product_title',
          displayName: 'product_title',
          dataType: 'VARCHAR',
          dataLength: 150,
          dataTypeDisplay: 'varchar',
          description:
            'Name of the product ordered. This column is the same as order.line_items.title in the Admin API.',
          fullyQualifiedName:
            'bigquery_gcp.shopify.fact_line_item.product_title',
          tags: [],
          ordinalPosition: 8,
        },
        {
          name: 'price',
          displayName: 'price',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description: 'Price of the product variant.',
          fullyQualifiedName: 'bigquery_gcp.shopify.fact_line_item.price',
          tags: [],
          ordinalPosition: 9,
        },
        {
          name: 'quantity',
          displayName: 'quantity',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            'Number of product variant items ordered in the line item.',
          fullyQualifiedName: 'bigquery_gcp.shopify.fact_line_item.quantity',
          tags: [],
          ordinalPosition: 10,
        },
        {
          name: 'requires_shipping',
          displayName: 'requires_shipping',
          dataType: 'BOOLEAN',
          dataTypeDisplay: 'boolean',
          description:
            "Whether the product variant requires fulfillment (shipping). For example, online gift cards don't require shipping.",
          fullyQualifiedName:
            'bigquery_gcp.shopify.fact_line_item.requires_shipping',
          tags: [],
          ordinalPosition: 11,
        },
        {
          name: 'taxable',
          displayName: 'taxable',
          dataType: 'BOOLEAN',
          dataTypeDisplay: 'boolean',
          description:
            'Whether taxes are charged for the product variant, otherwise contains 0. For example, when the line item is a gift card, taxes are not charged.',
          fullyQualifiedName: 'bigquery_gcp.shopify.fact_line_item.taxable',
          tags: [],
          ordinalPosition: 12,
        },
        {
          name: 'gift_card',
          displayName: 'gift_card',
          dataType: 'BOOLEAN',
          dataTypeDisplay: 'boolean',
          description: 'Whether the product variant is a gift card.',
          fullyQualifiedName: 'bigquery_gcp.shopify.fact_line_item.gift_card',
          tags: [],
          ordinalPosition: 13,
        },
        {
          name: 'grams',
          displayName: 'grams',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            'Weight of a single unit of the product variant. Contains 0 when the product variant is a gift card.',
          fullyQualifiedName: 'bigquery_gcp.shopify.fact_line_item.grams',
          tags: [],
          ordinalPosition: 14,
        },
        {
          name: 'product_vendor',
          displayName: 'product_vendor',
          dataType: 'VARCHAR',
          dataLength: 200,
          dataTypeDisplay: 'varchar',
          description:
            'Name of the manufacturer, wholesaler, or other vendor of the product.',
          fullyQualifiedName:
            'bigquery_gcp.shopify.fact_line_item.product_vendor',
          tags: [],
          ordinalPosition: 15,
        },
        {
          name: 'fulfillable_quantity',
          displayName: 'fulfillable_quantity',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            'Number of product variant items in the line item that require fulfillment. Some product variants, such as gift cards and digital products, do not need to be fulfilled.',
          fullyQualifiedName:
            'bigquery_gcp.shopify.fact_line_item.fulfillable_quantity',
          tags: [],
          ordinalPosition: 16,
        },
        {
          name: 'fulfillment_service',
          displayName: 'fulfillment_service',
          dataType: 'VARCHAR',
          dataLength: 100,
          dataTypeDisplay: 'varchar',
          description:
            'Name of the fulfillment service provider that fulfilled (shipped) the variant ordered. Contains manual when there is no fulfillment service specified for the variant.',
          fullyQualifiedName:
            'bigquery_gcp.shopify.fact_line_item.fulfillment_service',
          tags: [],
          ordinalPosition: 17,
        },
      ],
      database: {
        id: 'bc96309d-4637-4e7c-8c4f-eb5e30dc3650',
        type: 'database',
        name: 'bigquery_gcp.shopify',
        description:
          'This **mock** database contains tables related to shopify sales and orders with related dimension tables.',
        displayName: 'shopify',
        href: 'http://localhost:8585/api/v1/databases/bc96309d-4637-4e7c-8c4f-eb5e30dc3650',
      },
      service: {
        id: '31319d85-dba6-4c9a-9862-b0798e1d0b87',
        type: 'databaseService',
        name: 'bigquery_gcp',
        description: '',
      },
      serviceType: 'BigQuery',
      tags: [],
      usageSummary: {
        dailyStats: {
          count: 100,
          percentileRank: 36,
        },
        weeklyStats: {
          count: 100,
          percentileRank: 36,
        },
        monthlyStats: {
          count: 100,
          percentileRank: 36,
        },
        date: '2022-02-17',
      },
      deleted: false,
    },
    {
      id: 'c3409a1b-05fb-4c42-8d04-9a71290e12b6',
      name: 'fact_order',
      displayName: 'fact_order',
      fullyQualifiedName: 'bigquery_gcp.shopify.fact_order',
      description:
        'The orders table contains information about each order in your store. Although this table is good for generating order lists and joining with the dim_customer, use the sales table instead for computing financial or other metrics.',
      version: 0.1,
      updatedAt: 1645083583597,
      updatedBy: 'anonymous',
      href: 'http://localhost:8585/api/v1/tables/c3409a1b-05fb-4c42-8d04-9a71290e12b6',
      tableType: 'Regular',
      columns: [
        {
          name: 'order_id',
          displayName: 'order_id',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            'Unique numeric identifier for the order across Shopify stores. In your Shopify admin, this ID is used internally. Most merchants are familiar with the other ID that appears on orders in the Shopify admin. This ID can be found in the Name column.',
          fullyQualifiedName: 'bigquery_gcp.shopify.fact_order.order_id',
          tags: [],
          constraint: 'PRIMARY_KEY',
          ordinalPosition: 1,
        },
        {
          name: 'api_client_id',
          displayName: 'api_client_id',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            'The ID of the API client that called the Shopify API. This column is a foreign key reference to the api_client_id column in the dim_api_client table.',
          fullyQualifiedName: 'bigquery_gcp.shopify.fact_order.api_client_id',
          tags: [],
          ordinalPosition: 2,
        },
        {
          name: 'billing_address_id',
          displayName: 'billing_address_id',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          fullyQualifiedName:
            'bigquery_gcp.shopify.fact_order.billing_address_id',
          tags: [],
          ordinalPosition: 3,
        },
        {
          name: 'customer_id',
          displayName: 'customer_id',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            'The ID of the customer. This column is a foreign key reference to the customer_id column in the dim_customer table.',
          fullyQualifiedName: 'bigquery_gcp.shopify.fact_order.customer_id',
          tags: [],
          ordinalPosition: 4,
        },
        {
          name: 'location_id',
          displayName: 'location_id',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          fullyQualifiedName: 'bigquery_gcp.shopify.fact_order.location_id',
          tags: [],
          ordinalPosition: 5,
        },
        {
          name: 'shipping_address_id',
          displayName: 'shipping_address_id',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          fullyQualifiedName:
            'bigquery_gcp.shopify.fact_order.shipping_address_id',
          tags: [],
          ordinalPosition: 6,
        },
        {
          name: 'shop_id',
          displayName: 'shop_id',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            'The ID of the store. This column is a foreign key reference to the shop_id column in the dim_shop table.',
          fullyQualifiedName: 'bigquery_gcp.shopify.fact_order.shop_id',
          tags: [],
          ordinalPosition: 7,
        },
        {
          name: 'user_id',
          displayName: 'user_id',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            'The ID of the staff member who created the order. This column is a foreign key reference to the ID in the dim_staff table. This column applies to Shopify POS orders and to orders that were converted from draft orders.',
          fullyQualifiedName: 'bigquery_gcp.shopify.fact_order.user_id',
          tags: [],
          ordinalPosition: 8,
        },
        {
          name: 'name',
          displayName: 'name',
          dataType: 'VARCHAR',
          dataLength: 100,
          dataTypeDisplay: 'varchar',
          description:
            'The identifier of the order that the merchant and customer sees. This is the ID that appears on the order in the Shopify admin. For example, #1001. By default, this identifier is unique to one store. If you have multiple stores, then use the order_id column to guarantee uniqueness across multiple stores.',
          fullyQualifiedName: 'bigquery_gcp.shopify.fact_order.name',
          tags: [],
          ordinalPosition: 9,
        },
        {
          name: 'total_price',
          displayName: 'total_price',
          dataType: 'NUMERIC',
          dataTypeDisplay: 'numeric',
          description:
            'The total price of the order, including shipping and taxes. This column includes gift card sales, but does not include returns. This value may not be accurate for API-imported orders. Do not use this column for financial calculations. Instead, use the total_price column in the sales table.',
          fullyQualifiedName: 'bigquery_gcp.shopify.fact_order.total_price',
          tags: [],
          ordinalPosition: 10,
        },
        {
          name: 'discount_code',
          displayName: 'discount_code',
          dataType: 'VARCHAR',
          dataLength: 100,
          dataTypeDisplay: 'varchar',
          description: 'The discount code that was applied to the order.',
          fullyQualifiedName: 'bigquery_gcp.shopify.fact_order.discount_code',
          tags: [],
          ordinalPosition: 11,
        },
        {
          name: 'processed_at',
          displayName: 'processed_at',
          dataType: 'TIMESTAMP',
          dataTypeDisplay: 'timestamp',
          description:
            'The date (ISO 8601) and time (UTC) when the order was created. The format is YYYY-MM-DD HH:mm:ss (for example, 2016-02-05 17:04:01).',
          fullyQualifiedName: 'bigquery_gcp.shopify.fact_order.processed_at',
          tags: [],
          ordinalPosition: 12,
        },
        {
          name: 'canceled_at',
          displayName: 'canceled_at',
          dataType: 'TIMESTAMP',
          dataTypeDisplay: 'timestamp',
          description:
            'If the order was canceled, then this column contains the date (ISO 8601) and time (UTC) when the order was canceled. The format is YYYY-MM-DD HH:mm:ss (for example, 2016-02-05 17:04:01).',
          fullyQualifiedName: 'bigquery_gcp.shopify.fact_order.canceled_at',
          tags: [],
          ordinalPosition: 13,
        },
        {
          name: 'deleted_at',
          displayName: 'deleted_at',
          dataType: 'TIMESTAMP',
          dataTypeDisplay: 'timestamp',
          description:
            'If the order was deleted, then this column contains the date (ISO 8601) and time (UTC) when the order was deleted. The format is YYYY-MM-DD HH:mm:ss (for example, 2016-02-05 17:04:01).',
          fullyQualifiedName: 'bigquery_gcp.shopify.fact_order.deleted_at',
          tags: [],
          ordinalPosition: 14,
        },
        {
          name: 'test',
          displayName: 'test',
          dataType: 'BOOLEAN',
          dataTypeDisplay: 'boolean',
          description: 'True when the order is a test order, False otherwise.',
          fullyQualifiedName: 'bigquery_gcp.shopify.fact_order.test',
          tags: [],
          ordinalPosition: 15,
        },
      ],
      database: {
        id: 'bc96309d-4637-4e7c-8c4f-eb5e30dc3650',
        type: 'database',
        name: 'bigquery_gcp.shopify',
        description:
          'This **mock** database contains tables related to shopify sales and orders with related dimension tables.',
        displayName: 'shopify',
        href: 'http://localhost:8585/api/v1/databases/bc96309d-4637-4e7c-8c4f-eb5e30dc3650',
      },
      service: {
        id: '31319d85-dba6-4c9a-9862-b0798e1d0b87',
        type: 'databaseService',
        name: 'bigquery_gcp',
        description: '',
      },
      serviceType: 'BigQuery',
      tags: [],
      usageSummary: {
        dailyStats: {
          count: 185,
          percentileRank: 73,
        },
        weeklyStats: {
          count: 185,
          percentileRank: 73,
        },
        monthlyStats: {
          count: 185,
          percentileRank: 73,
        },
        date: '2022-02-17',
      },
      deleted: false,
    },
  ],
  paging: {
    after: 'WXBaMSWZTWK47rFmVa2Q6GRdrAfEwCZuQ68f6auiBV4=',
    total: 15,
  },
};
