/*
 *  Copyright 2021 Collate
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *  http://www.apache.org/licenses/LICENSE-2.0
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

import { FQN_SEPARATOR_CHAR } from './char.constants';

/* eslint-disable */

export const mockFeedData = [
  {
    id: '52d52eb1-b990-497f-bf80-47e52c106f85',
    href: 'http://localhost:8585/api/v1/feed/52d52eb1-b990-497f-bf80-47e52c106f85',
    threadTs: 1646631348958,
    about:
      '<#E::table::bigquery_gcp.shopify.raw_product_catalog::columns::comments::description>',
    entityId: '96e80f92-b8ce-456c-8f3c-ee7855e76f43',
    createdBy: 'aaron_johnson0',
    updatedAt: 1646631348959,
    updatedBy: 'anonymous',
    resolved: false,
    message:
      'This dimension table contains information about the staff accounts in the store. It contains one row per staff account. Use this table to generate a list of your staff accounts, or join it with the sales, API clients and locations tables to analyze staff performance at Shopify POS locations.',
    postsCount: 0,
    posts: [],
  },
  {
    id: '60df2514-3bea-4337-a5a2-f0fe5c65237f',
    href: 'http://localhost:8585/api/v1/feed/60df2514-3bea-4337-a5a2-f0fe5c65237f',
    threadTs: 1646631340215,
    about:
      '<#E::table::bigquery_gcp.shopify.raw_product_catalog::columns::comments::description>',
    entityId: '96e80f92-b8ce-456c-8f3c-ee7855e76f43',
    createdBy: 'aaron_johnson0',
    updatedAt: 1646631340215,
    updatedBy: 'anonymous',
    resolved: false,
    message: 'Can you add a description?',
    postsCount: 0,
    posts: [],
  },
];

export const mockLineageData = {
  entity: {
    id: '46ac510f-0b5a-4458-be22-18bb45680f29',
    type: 'table',
    name: 'bigquery_gcp.shopify.dim_address',
    description:
      'This dimension table contains the billing and shipping addresses of customers. You can join this table with the sales table to generate lists of the billing and shipping addresses. Customers can enter their addresses more than once, so the same address can appear in more than one row in this table. This table contains one row per customer address.',
    href: 'http://localhost:8585/api/v1/tables/46ac510f-0b5a-4458-be22-18bb45680f29',
  },
  nodes: [
    {
      id: '59a71417-5625-4e30-adf6-e662668ca15f',
      type: 'pipeline',
      name: 'sample_airflow.dim_address_etl',
      description: 'dim_address ETL pipeline',
      displayName: 'dim_address etl',
      href: 'http://localhost:8585/api/v1/pipelines/59a71417-5625-4e30-adf6-e662668ca15f',
    },
    {
      id: '0c57f9a7-04f4-48f6-9242-9de727285ece',
      type: 'table',
      name: 'bigquery_gcp.shopify.raw_customer',
      description:
        'This is a raw customers table as represented in our online DB. This contains personal, shipping and billing addresses and details of the customer store and customer profile. This table is used to build our dimensional and fact tables',
      href: 'http://localhost:8585/api/v1/tables/0c57f9a7-04f4-48f6-9242-9de727285ece',
    },
  ],
  upstreamEdges: [
    {
      fromEntity: '59a71417-5625-4e30-adf6-e662668ca15f',
      toEntity: '46ac510f-0b5a-4458-be22-18bb45680f29',
    },
    {
      fromEntity: '0c57f9a7-04f4-48f6-9242-9de727285ece',
      toEntity: '59a71417-5625-4e30-adf6-e662668ca15f',
    },
  ],
  downstreamEdges: [],
};

export const mockDatasetData = {
  entityName: 'dim_address',
  datasetFQN: 'bigquery.shopify.dim_address',
  activeTab: 1,
  description:
    'This dimension table contains the billing and shipping addresses of customers. You can join this table with the sales table to generate lists of the billing and shipping addresses. Customers can enter their addresses more than once, so the same address can appear in more than one row in this table. This table contains one row per customer address.',
  tableType: 'Regular',
  tableProfile: [
    {
      profileDate: '2021-10-16',
      columnCount: 12,
      rowCount: 725,
      columnProfile: [
        {
          name: 'address_id',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 9,
          uniqueProportion: 0.52805369,
        },
        {
          name: 'shop_id',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 29,
          uniqueProportion: 0.2290940013,
        },
        {
          name: 'first_name',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 13,
          uniqueProportion: 0.1327792,
        },
        {
          name: 'last_name',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 23,
          uniqueProportion: 0.177126,
        },
        {
          name: 'address1',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 53,
          uniqueProportion: 0.0396391,
        },
        {
          name: 'address2',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 76,
          uniqueProportion: 0.0690369,
        },
        {
          name: 'company',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 23,
          uniqueProportion: 0.1210963,
        },
        {
          name: 'city',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 6,
          uniqueProportion: 0.024072,
        },
        {
          name: 'region',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 3,
          uniqueProportion: 0.1478114,
        },
        {
          name: 'zip',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 11,
          uniqueProportion: 0.1383472,
        },
        {
          name: 'country',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 13,
          uniqueProportion: 0.1601013,
        },
        {
          name: 'phone',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 8,
          uniqueProportion: 0.1297079,
        },
      ],
    },
    {
      profileDate: '2021-10-15',
      columnCount: 12,
      rowCount: 1613,
      columnProfile: [
        {
          name: 'address_id',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 9,
          uniqueProportion: 0.15982599,
        },
        {
          name: 'shop_id',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 29,
          uniqueProportion: 0.455669453,
        },
        {
          name: 'first_name',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 13,
          uniqueProportion: 0.1327792,
        },
        {
          name: 'last_name',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 23,
          uniqueProportion: 0.177126,
        },
        {
          name: 'address1',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 41,
          uniqueProportion: 0.0396391,
        },
        {
          name: 'address2',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 15,
          uniqueProportion: 0.0690369,
        },
        {
          name: 'company',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 23,
          uniqueProportion: 0.1210963,
        },
        {
          name: 'city',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 6,
          uniqueProportion: 0.024072,
        },
        {
          name: 'region',
          missingPercentage: 0.1478114,
          missingCount: 3,
          uniqueCount: 0,
          uniqueProportion: 0,
        },
        {
          name: 'zip',
          missingPercentage: 0.284726178,
          missingCount: 11,
          uniqueCount: 0,
          uniqueProportion: 0,
        },
        {
          name: 'country',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 13,
          uniqueProportion: 0.1601013,
        },
        {
          name: 'phone',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 8,
          uniqueProportion: 0.1297079,
        },
      ],
    },
    {
      profileDate: '2021-10-14',
      columnCount: 12,
      rowCount: 678,
      columnProfile: [
        {
          name: 'address_id',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 9,
          uniqueProportion: 0.78621859,
        },
        {
          name: 'shop_id',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 29,
          uniqueProportion: 0.1729116032,
        },
        {
          name: 'first_name',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 13,
          uniqueProportion: 0.1327792,
        },
        {
          name: 'last_name',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 23,
          uniqueProportion: 0.177126,
        },
        {
          name: 'address1',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 51,
          uniqueProportion: 0.0396391,
        },
        {
          name: 'address2',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 93,
          uniqueProportion: 0.0690369,
        },
        {
          name: 'company',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 23,
          uniqueProportion: 0.1210963,
        },
        {
          name: 'city',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 6,
          uniqueProportion: 0.024072,
        },
        {
          name: 'region',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 3,
          uniqueProportion: 0.1478114,
        },
        {
          name: 'zip',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 11,
          uniqueProportion: 0.1383472,
        },
        {
          name: 'country',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 13,
          uniqueProportion: 0.1601013,
        },
        {
          name: 'phone',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 8,
          uniqueProportion: 0.1297079,
        },
      ],
    },
    {
      profileDate: '2021-10-13',
      columnCount: 12,
      rowCount: 1044,
      columnProfile: [
        {
          name: 'address_id',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 9,
          uniqueProportion: 0.68665925,
        },
        {
          name: 'shop_id',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 29,
          uniqueProportion: 0.1079933845,
        },
        {
          name: 'first_name',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 13,
          uniqueProportion: 0.1327792,
        },
        {
          name: 'last_name',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 23,
          uniqueProportion: 0.177126,
        },
        {
          name: 'address1',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 35,
          uniqueProportion: 0.0396391,
        },
        {
          name: 'address2',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 94,
          uniqueProportion: 0.0690369,
        },
        {
          name: 'company',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 23,
          uniqueProportion: 0.1210963,
        },
        {
          name: 'city',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 6,
          uniqueProportion: 0.024072,
        },
        {
          name: 'region',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 3,
          uniqueProportion: 0.1478114,
        },
        {
          name: 'zip',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 11,
          uniqueProportion: 0.1383472,
        },
        {
          name: 'country',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 13,
          uniqueProportion: 0.1601013,
        },
        {
          name: 'phone',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 8,
          uniqueProportion: 0.1297079,
        },
      ],
    },
    {
      profileDate: '2021-10-12',
      columnCount: 12,
      rowCount: 1168,
      columnProfile: [
        {
          name: 'address_id',
          missingPercentage: 0.80217948,
          missingCount: 9,
          uniqueCount: 0,
          uniqueProportion: 0,
        },
        {
          name: 'shop_id',
          missingPercentage: 0.170325111,
          missingCount: 29,
          uniqueCount: 0,
          uniqueProportion: 0,
        },
        {
          name: 'first_name',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 13,
          uniqueProportion: 0.1327792,
        },
        {
          name: 'last_name',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 23,
          uniqueProportion: 0.177126,
        },
        {
          name: 'address1',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 95,
          uniqueProportion: 0.0396391,
        },
        {
          name: 'address2',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 10,
          uniqueProportion: 0.0690369,
        },
        {
          name: 'company',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 23,
          uniqueProportion: 0.1210963,
        },
        {
          name: 'city',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 6,
          uniqueProportion: 0.024072,
        },
        {
          name: 'region',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 3,
          uniqueProportion: 0.1478114,
        },
        {
          name: 'zip',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 11,
          uniqueProportion: 0.1383472,
        },
        {
          name: 'country',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 13,
          uniqueProportion: 0.1601013,
        },
        {
          name: 'phone',
          missingPercentage: 0,
          missingCount: 0,
          uniqueCount: 8,
          uniqueProportion: 0.1297079,
        },
      ],
    },
  ],
  columns: [
    {
      name: 'address_id',
      dataType: 'NUMERIC',
      dataTypeDisplay: 'numeric',
      description: 'Unique identifier for the address.',
      fullyQualifiedName: 'bigquery.shopify.dim_address.address_id',
      tags: [],
      constraint: 'PRIMARY_KEY',
      ordinalPosition: 1,
    },
    {
      name: 'shop_id',
      dataType: 'NUMERIC',
      dataTypeDisplay: 'numeric',
      description:
        'The ID of the store. This column is a foreign key reference to the shop_id column in the dim_shop table.',
      fullyQualifiedName: 'bigquery.shopify.dim_address.shop_id',
      tags: [],
      ordinalPosition: 2,
    },
    {
      name: 'first_name',
      dataType: 'VARCHAR',
      dataLength: 100,
      dataTypeDisplay: 'varchar',
      description: 'First name of the customer.',
      fullyQualifiedName: 'bigquery.shopify.dim_address.first_name',
      tags: [],
      ordinalPosition: 3,
    },
    {
      name: 'last_name',
      dataType: 'VARCHAR',
      dataLength: 100,
      dataTypeDisplay: 'varchar',
      description: 'Last name of the customer.',
      fullyQualifiedName: 'bigquery.shopify.dim_address.last_name',
      tags: [],
      ordinalPosition: 4,
    },
    {
      name: 'address1',
      dataType: 'VARCHAR',
      dataLength: 500,
      dataTypeDisplay: 'varchar',
      description: 'The first address line. For example, 150 Elgin St.',
      fullyQualifiedName: 'bigquery.shopify.dim_address.address1',
      tags: [],
      ordinalPosition: 5,
    },
    {
      name: 'address2',
      dataType: 'VARCHAR',
      dataLength: 500,
      dataTypeDisplay: 'varchar',
      description: 'The second address line. For example, Suite 800.',
      fullyQualifiedName: 'bigquery.shopify.dim_address.address2',
      tags: [],
      ordinalPosition: 6,
    },
    {
      name: 'company',
      dataType: 'VARCHAR',
      dataLength: 100,
      dataTypeDisplay: 'varchar',
      description: "The name of the customer's business, if one exists.",
      fullyQualifiedName: 'bigquery.shopify.dim_address.company',
      tags: [],
      ordinalPosition: 7,
    },
    {
      name: 'city',
      dataType: 'VARCHAR',
      dataLength: 100,
      dataTypeDisplay: 'varchar',
      description: 'The name of the city. For example, Palo Alto.',
      fullyQualifiedName: 'bigquery.shopify.dim_address.city',
      tags: [],
      ordinalPosition: 8,
    },
    {
      name: 'region',
      dataType: 'VARCHAR',
      dataLength: 512,
      dataTypeDisplay: 'varchar',
      description:
        'The name of the region, such as a province or state, where the customer is located. For example, Ontario or New York. This column is the same as CustomerAddress.province in the Admin API.',
      fullyQualifiedName: 'bigquery.shopify.dim_address.region',
      tags: [],
      ordinalPosition: 9,
    },
    {
      name: 'zip',
      dataType: 'VARCHAR',
      dataLength: 10,
      dataTypeDisplay: 'varchar',
      description: 'The ZIP or postal code. For example, 90210.',
      fullyQualifiedName: 'bigquery.shopify.dim_address.zip',
      tags: [],
      ordinalPosition: 10,
    },
    {
      name: 'country',
      dataType: 'VARCHAR',
      dataLength: 50,
      dataTypeDisplay: 'varchar',
      description: 'The full name of the country. For example, Canada.',
      fullyQualifiedName: 'bigquery.shopify.dim_address.country',
      tags: [],
      ordinalPosition: 11,
    },
    {
      name: 'phone',
      dataType: 'VARCHAR',
      dataLength: 15,
      dataTypeDisplay: 'varchar',
      description: 'The phone number of the customer.',
      fullyQualifiedName: 'bigquery.shopify.dim_address.phone',
      tags: [],
      ordinalPosition: 12,
    },
  ],
  tier: '',
  sampleData: {
    columns: [
      'address_id',
      'shop_id',
      'first_name',
      'last_name',
      'address1',
      'address2',
      'company',
      'city',
      'region',
      'zip',
      'country',
      'phone',
    ],
    rows: [
      [
        'ecd07ea2-ec8d-41f7-85aa-4de3b952d232',
        'd9067963-1dc0-4235-8e63-fb4106894437',
        'Christian',
        'James',
        '7933 Richard Underpass',
        '65489 Mccullough Forge Apt. 214',
        'Brooks-Hernandez',
        'West Lindaborough',
        '82800 Hudson Curve',
        '58594',
        'Tunisia',
        '(022)051-3030',
      ],
      [
        '663a7b15-619b-4815-8f29-9c6ccb9381be',
        '13f633bf-eafb-41bb-b83f-e690369e9937',
        'Cathy',
        'Katherine',
        '7495 Webb Cove',
        '9740 Janet Center Apt. 295',
        'Dudley PLC',
        'Douglasborough',
        '7533 Michelle Point Suite 093',
        '13176',
        'Sri Lanka',
        '(630)268-8741x190',
      ],
      [
        '1e9acf83-e458-44ad-8844-6aec69949199',
        '48cb04ed-ead5-4985-af23-d11865b61fba',
        'Mary',
        'Zoe',
        '748 Armstrong Road',
        '646 Kimberly Turnpike Apt. 701',
        'Bright LLC',
        'Carlosfort',
        '323 Owens Terrace',
        '24172',
        'Iran',
        '(018)825-3516x6921',
      ],
      [
        '264bd4d0-15a3-4fa1-91b0-fcab209ec5c7',
        '1207e037-7ef3-4b10-93b7-c766a650ead0',
        'Phillip',
        'Annette',
        '87112 Schmidt Lane',
        '499 Gibson Manor Suite 036',
        'Cooper, Evans and Colon',
        'North Patricia',
        '645 Smith Drives Apt. 166',
        '25662',
        'Turkey',
        '+1-560-623-4587x015',
      ],
      [
        '30a91a8e-428f-478a-a81f-9ecee8af11dc',
        'ecf8ec82-87c7-49a4-85e5-acd200c51ecd',
        'Michael',
        'Helen',
        '418 Jones Curve Suite 442',
        '1742 Fuentes Heights Suite 674',
        'Moss, Anderson and Le',
        'Christophershire',
        '7788 Franklin Forks',
        '77790',
        'Armenia',
        '001-564-534-8416x8563',
      ],
      [
        '64111af0-86f2-4413-94d5-84fe6ac61a21',
        'f80da8e0-2319-412c-b3ae-978dded81f5e',
        'Kimberly',
        'Lisa',
        '2765 Melissa Squares Suite 985',
        '4283 Robert Mountains Suite 155',
        'Donovan, Li and Rowland',
        'Danielmouth',
        '0683 Emily Brooks',
        '26919',
        'Monaco',
        '001-055-840-1949x719',
      ],
      [
        'f2ec9582-90b0-4ad4-898a-e4329c9bfdd8',
        'b91fec72-45ba-4a3a-a6de-917ad948f087',
        'Dave',
        'Debbie',
        '1993 Nathan Hollow',
        '4609 Jason Wells',
        'Baker Group',
        'Careyside',
        '073 Short Forges',
        '84799',
        'Saint Vincent and the Grenadines',
        '+1-703-653-1367x2904',
      ],
      [
        'e8b1553c-e579-4cc0-a78d-a366be72343b',
        '6a8254fc-546b-4852-aaaf-59b46dee7707',
        'Jennifer',
        'Victor',
        '76664 Natasha Shoal Suite 347',
        '431 Justin Drive',
        'Harris, Martinez and Zhang',
        'Lorrainemouth',
        '26848 Carolyn Highway',
        '99349',
        'Nepal',
        '996-840-2805',
      ],
      [
        '1fa7b335-fe5f-42c6-b55e-dc5765d8dc8b',
        '6364feef-7b3d-4f3d-8e60-32defc42ee77',
        'Anthony',
        'Raymond',
        '531 John Shore Apt. 610',
        '912 Bates Drives Apt. 941',
        'Price, Harding and Johnson',
        'Lake Jillville',
        '6537 Tracey Islands',
        '36016',
        'United States Virgin Islands',
        '+1-604-283-8995x22178',
      ],
      [
        'd609e70b-83dd-460e-93ab-5c667b7ee797',
        '21f40af7-b9c0-401f-9ce0-f7637085619c',
        'Benjamin',
        'Charles',
        '881 Anne Crest',
        '893 Lisa Summit Apt. 259',
        'Clark-Sanders',
        'Ashleyville',
        '4985 Karen Centers Suite 064',
        '92618',
        'Mauritius',
        '7447239997',
      ],
      [
        '7ecb7295-9fc4-427d-a029-3cb8b0bfdbba',
        '975980c1-9d5b-41cd-8f96-82936169aeea',
        'Wesley',
        'Daniel',
        '427 Wilson Extensions Apt. 577',
        '620 Samantha Isle',
        'Hayes-Watkins',
        'Lake Donna',
        '8478 Rhonda Lakes',
        '05871',
        'Iraq',
        '606-817-3223',
      ],
      [
        '231f03ab-b3f1-4134-9c78-250506cd80fe',
        '934bbb2e-5fb7-4648-b2bd-2bfb83841496',
        'John',
        'Sierra',
        '3074 Jacob Locks Suite 801',
        '1894 Eric Ramp',
        'West-Rojas',
        'Port Amandaside',
        '915 Soto Ferry Apt. 794',
        '58295',
        'Ecuador',
        '761.107.2999x370',
      ],
      [
        '6026d0a1-5e66-4c16-9ed6-c743396601a5',
        '23593cfd-c476-42d5-8924-9a6fb8254896',
        'Ryan',
        'Ryan',
        '386 Carter Path',
        '221 Carroll Rue',
        'Dyer, Smith and Lowe',
        'New Tammyberg',
        '1013 Adams Stravenue',
        '63894',
        'Faroe Islands',
        '(665)656-6038x16205',
      ],
      [
        '1bacd4ca-c41e-4b1d-ba50-3ac9a7af0bf6',
        '2e678a6d-afa1-49c6-8467-89cf602addb8',
        'George',
        'Jason',
        '6496 Cheryl Stravenue Suite 457',
        '55548 Walters Locks',
        'Hart-Simmons',
        'Derekbury',
        '81671 Stacy Track',
        '66294',
        'Mauritius',
        '+1-501-936-9629x06338',
      ],
      [
        'e607e90c-a639-4b66-821a-1554b7fc7d39',
        '5820cf5e-5f1d-4803-ad03-b7ca7dcfca60',
        'Anita',
        'Crystal',
        '24541 Matthew Route',
        '8184 Jessica Point',
        'Turner-Chan',
        'Moorestad',
        '100 Carpenter Spurs',
        '46865',
        'Ethiopia',
        '+1-598-716-4672x4794',
      ],
      [
        'd67df3f5-ed74-4f22-993f-c90921492f8f',
        '64a8a934-2b94-48ee-87fd-2e5f1100e132',
        'Christian',
        'Raymond',
        '56051 Collins Camp',
        '02835 Simpson Parkways Apt. 690',
        'Walker, Davis and Lopez',
        'Port Robertmouth',
        '72027 Shaw Extensions Suite 119',
        '16713',
        'Lebanon',
        '885.772.6309',
      ],
      [
        '9c3c5fc3-b1d2-49dd-83f6-eb21ca62c943',
        '3fb997c0-ec7e-46b3-8261-41dfac8d4f1d',
        'Brandon',
        'Brittney',
        '7937 Sarah Manors',
        '0242 Tanner Mission Suite 746',
        'Martinez-Scott',
        'West Michael',
        '654 Leslie Trace',
        '80963',
        'French Southern Territories',
        '763.007.0819x5946',
      ],
      [
        '3d574a30-88ba-4192-8104-3401b18a5c26',
        '0aedcabd-0585-4822-9adb-aae5996556fe',
        'Deborah',
        'David',
        '7178 York Street Apt. 539',
        '2426 Crystal Plains',
        'Brown-Hurley',
        'Marshallshire',
        '09258 Mcguire Lakes Suite 250',
        '13172',
        'Sri Lanka',
        '+1-662-211-5221x005',
      ],
      [
        '0b5c6034-bc0b-42b9-ba5e-e9cbe8a8ee1e',
        '2ff3760d-5e52-4ffc-91dd-f98e97fc6fbd',
        'Brandon',
        'Krystal',
        '5730 Sanders Mount Suite 733',
        '927 Gregory Grove',
        'Vincent-Gonzalez',
        'Perezborough',
        '47470 Flynn Row Suite 057',
        '41816',
        'Lebanon',
        '(519)148-7430x474',
      ],
      [
        '6f89ffc5-78d6-44f2-9c8d-bc11a52deddc',
        '76d97e46-1b79-426d-a196-13f41d6f3316',
        'Karen',
        'Justin',
        '1980 John Mountain',
        '4002 Leah Trail',
        'Rasmussen, Flynn and Pittman',
        'Jacobtown',
        '4617 Fisher Causeway Suite 029',
        '50859',
        'Austria',
        '(754)208-2217',
      ],
      [
        '8bbb8913-d276-4e83-87f2-6b5b1b5eb7b4',
        '6822a50f-5865-4aaa-b67f-2db30493edb4',
        'Ricardo',
        'Samantha',
        '23504 Sandra Center Apt. 216',
        '40959 Jason Estates Apt. 696',
        'Lopez, Doyle and Griffin',
        'Port Cassandrahaven',
        '395 Coleman Prairie',
        '12593',
        'Bosnia and Herzegovina',
        '399.279.7217x2246',
      ],
      [
        '2fde1390-9bcd-486e-86e6-b4bb427faa75',
        '8b8e2b20-020d-4be3-a11d-1408b0f394d6',
        'Edward',
        'Tim',
        '86241 Marsh Fork',
        '14727 Benjamin Place Suite 747',
        'Adams, Parker and Gomez',
        'Sanchezville',
        '66293 Watson Unions',
        '50865',
        'Saint Vincent and the Grenadines',
        '(631)242-5727',
      ],
      [
        '376096fe-2c8f-4e56-9ee2-7bd1dd2f9a88',
        '1a065321-c6cf-486c-91b1-57f8caab4727',
        'Joseph',
        'Brianna',
        '297 Selena Underpass',
        '41353 Mcdonald Squares Apt. 397',
        'Wright Inc',
        'New Melanie',
        '6230 Scott Roads Apt. 163',
        '42639',
        'Belgium',
        '001-360-399-2694x145',
      ],
      [
        'afdbca76-af4e-4783-867e-e2b92161c40e',
        'adc24930-9dab-400b-9f46-620c1be9c841',
        'Beth',
        'Justin',
        '06732 Owens Ville Apt. 643',
        '02881 Tyler Square',
        'Baker-Coleman',
        'South Jonathan',
        '771 Smith Lodge Apt. 619',
        '12995',
        'Ecuador',
        '+1-060-277-3810x438',
      ],
      [
        'b3d878b8-8e37-4922-a53a-f4b2295d8bb9',
        '647a2505-86da-4bdf-b5f3-d67ac8ec7980',
        'Tiffany',
        'Justin',
        '60489 Barbara Course Suite 095',
        '9328 Ashley Drives',
        'Schmidt Ltd',
        'New William',
        '6354 Johnson Glen',
        '37229',
        'Antarctica (the territory South of 60 deg S)',
        '(544)876-8904x194',
      ],
    ],
  },
  entityLineage: {
    entity: {
      id: '644405ad-60fe-4329-884f-fc3e3ab6c6a5',
      type: 'table',
      name: 'dim_address',
      fullyQualifiedName: 'sample_data.ecommerce_db.shopify.dim_address',
      description:
        'This dimension table contains the billing and shipping addresses of customers. You can join this table with the sales table to generate lists of the billing and shipping addresses. Customers can enter their addresses more than once, so the same address can appear in more than one row in this table. This table contains one row per customer address.',
      deleted: false,
      href: 'http://localhost:8585/api/v1/tables/644405ad-60fe-4329-884f-fc3e3ab6c6a5',
    },
    nodes: [
      {
        id: 'fc1d9698-5e10-4442-af5c-a7ac05c078e9',
        type: 'pipeline',
        name: 'dim_address_etl',
        fullyQualifiedName: 'sample_airflow.dim_address_etl',
        description: 'dim_address ETL pipeline',
        displayName: 'dim_address etl',
        deleted: false,
        href: 'http://localhost:8585/api/v1/pipelines/fc1d9698-5e10-4442-af5c-a7ac05c078e9',
      },
      {
        id: '1e7f78c0-ebb5-4565-a09f-63c1cdc72389',
        type: 'table',
        name: 'raw_customer',
        fullyQualifiedName: 'sample_data.ecommerce_db.shopify.raw_customer',
        description:
          'This is a raw customers table as represented in our online DB. This contains personal, shipping and billing addresses and details of the customer store and customer profile. This table is used to build our dimensional and fact tables',
        deleted: false,
        href: 'http://localhost:8585/api/v1/tables/1e7f78c0-ebb5-4565-a09f-63c1cdc72389',
      },
    ],
    upstreamEdges: [
      {
        fromEntity: 'fc1d9698-5e10-4442-af5c-a7ac05c078e9',
        toEntity: '644405ad-60fe-4329-884f-fc3e3ab6c6a5',
      },
      {
        fromEntity: '1e7f78c0-ebb5-4565-a09f-63c1cdc72389',
        toEntity: 'fc1d9698-5e10-4442-af5c-a7ac05c078e9',
      },
    ],
    downstreamEdges: [],
  },

  followers: [],
  slashedTableName: [
    {
      name: 'bigquery',
      url: '/service/databaseServices/BigQuery/bigquery',
      imgSrc: '/service-icon-query.png',
    },
    {
      name: 'shopify',
      url: '/database/bigquery.shopify',
    },
    {
      name: 'dim_address',
      url: '',
      activeTitle: true,
    },
  ],
  tableTags: [],
  tableDetails: {
    id: 'c0057714-2d87-4bb9-a300-7032676fc6de',
    name: 'dim_address',
    fullyQualifiedName: 'bigquery.shopify.dim_address',
    description:
      'This dimension table contains the billing and shipping addresses of customers. You can join this table with the sales table to generate lists of the billing and shipping addresses. Customers can enter their addresses more than once, so the same address can appear in more than one row in this table. This table contains one row per customer address.',
    version: 0.1,
    updatedAt: 1637993951943,
    updatedBy: 'anonymous',
    href: 'http://localhost:8585/api/v1/tables/c0057714-2d87-4bb9-a300-7032676fc6de',
    tableType: 'Regular',
    columns: [
      {
        name: 'address_id',
        dataType: 'NUMERIC',
        dataTypeDisplay: 'numeric',
        description: 'Unique identifier for the address.',
        fullyQualifiedName: 'bigquery.shopify.dim_address.address_id',
        tags: [],
        constraint: 'PRIMARY_KEY',
        ordinalPosition: 1,
      },
      {
        name: 'shop_id',
        dataType: 'NUMERIC',
        dataTypeDisplay: 'numeric',
        description:
          'The ID of the store. This column is a foreign key reference to the shop_id column in the dim_shop table.',
        fullyQualifiedName: 'bigquery.shopify.dim_address.shop_id',
        tags: [],
        ordinalPosition: 2,
      },
      {
        name: 'first_name',
        dataType: 'VARCHAR',
        dataLength: 100,
        dataTypeDisplay: 'varchar',
        description: 'First name of the customer.',
        fullyQualifiedName: 'bigquery.shopify.dim_address.first_name',
        tags: [],
        ordinalPosition: 3,
      },
      {
        name: 'last_name',
        dataType: 'VARCHAR',
        dataLength: 100,
        dataTypeDisplay: 'varchar',
        description: 'Last name of the customer.',
        fullyQualifiedName: 'bigquery.shopify.dim_address.last_name',
        tags: [],
        ordinalPosition: 4,
      },
      {
        name: 'address1',
        dataType: 'VARCHAR',
        dataLength: 500,
        dataTypeDisplay: 'varchar',
        description: 'The first address line. For example, 150 Elgin St.',
        fullyQualifiedName: 'bigquery.shopify.dim_address.address1',
        tags: [],
        ordinalPosition: 5,
      },
      {
        name: 'address2',
        dataType: 'VARCHAR',
        dataLength: 500,
        dataTypeDisplay: 'varchar',
        description: 'The second address line. For example, Suite 800.',
        fullyQualifiedName: 'bigquery.shopify.dim_address.address2',
        tags: [],
        ordinalPosition: 6,
      },
      {
        name: 'company',
        dataType: 'VARCHAR',
        dataLength: 100,
        dataTypeDisplay: 'varchar',
        description: "The name of the customer's business, if one exists.",
        fullyQualifiedName: 'bigquery.shopify.dim_address.company',
        tags: [],
        ordinalPosition: 7,
      },
      {
        name: 'city',
        dataType: 'VARCHAR',
        dataLength: 100,
        dataTypeDisplay: 'varchar',
        description: 'The name of the city. For example, Palo Alto.',
        fullyQualifiedName: 'bigquery.shopify.dim_address.city',
        tags: [],
        ordinalPosition: 8,
      },
      {
        name: 'region',
        dataType: 'VARCHAR',
        dataLength: 512,
        dataTypeDisplay: 'varchar',
        description:
          'The name of the region, such as a province or state, where the customer is located. For example, Ontario or New York. This column is the same as CustomerAddress.province in the Admin API.',
        fullyQualifiedName: 'bigquery.shopify.dim_address.region',
        tags: [],
        ordinalPosition: 9,
      },
      {
        name: 'zip',
        dataType: 'VARCHAR',
        dataLength: 10,
        dataTypeDisplay: 'varchar',
        description: 'The ZIP or postal code. For example, 90210.',
        fullyQualifiedName: 'bigquery.shopify.dim_address.zip',
        tags: [],
        ordinalPosition: 10,
      },
      {
        name: 'country',
        dataType: 'VARCHAR',
        dataLength: 50,
        dataTypeDisplay: 'varchar',
        description: 'The full name of the country. For example, Canada.',
        fullyQualifiedName: 'bigquery.shopify.dim_address.country',
        tags: [],
        ordinalPosition: 11,
      },
      {
        name: 'phone',
        dataType: 'VARCHAR',
        dataLength: 15,
        dataTypeDisplay: 'varchar',
        description: 'The phone number of the customer.',
        fullyQualifiedName: 'bigquery.shopify.dim_address.phone',
        tags: [],
        ordinalPosition: 12,
      },
    ],
    database: {
      id: '8f24ed84-e258-4a8f-afb3-224505cb0f8f',
      type: 'database',
      name: 'bigquery.shopify',
      description:
        'This **mock** database contains tables related to shopify sales and orders with related dimension tables.',
      href: 'http://localhost:8585/api/v1/databases/8f24ed84-e258-4a8f-afb3-224505cb0f8f',
    },
    tags: [],
    usageSummary: {
      dailyStats: {
        count: 100,
        percentileRank: 45,
      },
      weeklyStats: {
        count: 100,
        percentileRank: 45,
      },
      monthlyStats: {
        count: 100,
        percentileRank: 45,
      },
      date: '2021-11-27',
    },
    followers: [],
    joins: {
      startDate: '2021-10-31',
      dayCount: 30,
      columnJoins: [
        {
          columnName: 'shop_id',
          joinedWith: [
            {
              fullyQualifiedName: 'bigquery.shopify.dim_shop.shop_id',
              joinCount: 35,
            },
          ],
        },
        {
          columnName: 'address_id',
          joinedWith: [
            {
              fullyQualifiedName: 'bigquery.shopify.fact_sale.api_client_id',
              joinCount: 49,
            },
            {
              fullyQualifiedName:
                'bigquery.shopify.fact_sale.billing_address_id',
              joinCount: 49,
            },
            {
              fullyQualifiedName: 'bigquery.shopify.fact_sale.customer_id',
              joinCount: 49,
            },
            {
              fullyQualifiedName: 'bigquery.shopify.fact_sale.location_id',
              joinCount: 49,
            },
            {
              fullyQualifiedName: 'bigquery.shopify.fact_sale.order_id',
              joinCount: 49,
            },
            {
              fullyQualifiedName: 'bigquery.shopify.fact_sale.product_id',
              joinCount: 49,
            },
            {
              fullyQualifiedName:
                'bigquery.shopify.fact_sale.product_variant_id',
              joinCount: 49,
            },
            {
              fullyQualifiedName:
                'bigquery.shopify.fact_sale.shipping_address_id',
              joinCount: 49,
            },
            {
              fullyQualifiedName: 'bigquery.shopify.fact_sale.shop_id',
              joinCount: 49,
            },
            {
              fullyQualifiedName: 'bigquery.shopify.fact_sale.user_id',
              joinCount: 49,
            },
          ],
        },
      ],
    },
    sampleData: {
      columns: [
        'address_id',
        'shop_id',
        'first_name',
        'last_name',
        'address1',
        'address2',
        'company',
        'city',
        'region',
        'zip',
        'country',
        'phone',
      ],
      rows: [
        [
          'ecd07ea2-ec8d-41f7-85aa-4de3b952d232',
          'd9067963-1dc0-4235-8e63-fb4106894437',
          'Christian',
          'James',
          '7933 Richard Underpass',
          '65489 Mccullough Forge Apt. 214',
          'Brooks-Hernandez',
          'West Lindaborough',
          '82800 Hudson Curve',
          '58594',
          'Tunisia',
          '(022)051-3030',
        ],
        [
          '663a7b15-619b-4815-8f29-9c6ccb9381be',
          '13f633bf-eafb-41bb-b83f-e690369e9937',
          'Cathy',
          'Katherine',
          '7495 Webb Cove',
          '9740 Janet Center Apt. 295',
          'Dudley PLC',
          'Douglasborough',
          '7533 Michelle Point Suite 093',
          '13176',
          'Sri Lanka',
          '(630)268-8741x190',
        ],
        [
          '1e9acf83-e458-44ad-8844-6aec69949199',
          '48cb04ed-ead5-4985-af23-d11865b61fba',
          'Mary',
          'Zoe',
          '748 Armstrong Road',
          '646 Kimberly Turnpike Apt. 701',
          'Bright LLC',
          'Carlosfort',
          '323 Owens Terrace',
          '24172',
          'Iran',
          '(018)825-3516x6921',
        ],
        [
          '264bd4d0-15a3-4fa1-91b0-fcab209ec5c7',
          '1207e037-7ef3-4b10-93b7-c766a650ead0',
          'Phillip',
          'Annette',
          '87112 Schmidt Lane',
          '499 Gibson Manor Suite 036',
          'Cooper, Evans and Colon',
          'North Patricia',
          '645 Smith Drives Apt. 166',
          '25662',
          'Turkey',
          '+1-560-623-4587x015',
        ],
        [
          '30a91a8e-428f-478a-a81f-9ecee8af11dc',
          'ecf8ec82-87c7-49a4-85e5-acd200c51ecd',
          'Michael',
          'Helen',
          '418 Jones Curve Suite 442',
          '1742 Fuentes Heights Suite 674',
          'Moss, Anderson and Le',
          'Christophershire',
          '7788 Franklin Forks',
          '77790',
          'Armenia',
          '001-564-534-8416x8563',
        ],
        [
          '64111af0-86f2-4413-94d5-84fe6ac61a21',
          'f80da8e0-2319-412c-b3ae-978dded81f5e',
          'Kimberly',
          'Lisa',
          '2765 Melissa Squares Suite 985',
          '4283 Robert Mountains Suite 155',
          'Donovan, Li and Rowland',
          'Danielmouth',
          '0683 Emily Brooks',
          '26919',
          'Monaco',
          '001-055-840-1949x719',
        ],
        [
          'f2ec9582-90b0-4ad4-898a-e4329c9bfdd8',
          'b91fec72-45ba-4a3a-a6de-917ad948f087',
          'Dave',
          'Debbie',
          '1993 Nathan Hollow',
          '4609 Jason Wells',
          'Baker Group',
          'Careyside',
          '073 Short Forges',
          '84799',
          'Saint Vincent and the Grenadines',
          '+1-703-653-1367x2904',
        ],
        [
          'e8b1553c-e579-4cc0-a78d-a366be72343b',
          '6a8254fc-546b-4852-aaaf-59b46dee7707',
          'Jennifer',
          'Victor',
          '76664 Natasha Shoal Suite 347',
          '431 Justin Drive',
          'Harris, Martinez and Zhang',
          'Lorrainemouth',
          '26848 Carolyn Highway',
          '99349',
          'Nepal',
          '996-840-2805',
        ],
        [
          '1fa7b335-fe5f-42c6-b55e-dc5765d8dc8b',
          '6364feef-7b3d-4f3d-8e60-32defc42ee77',
          'Anthony',
          'Raymond',
          '531 John Shore Apt. 610',
          '912 Bates Drives Apt. 941',
          'Price, Harding and Johnson',
          'Lake Jillville',
          '6537 Tracey Islands',
          '36016',
          'United States Virgin Islands',
          '+1-604-283-8995x22178',
        ],
        [
          'd609e70b-83dd-460e-93ab-5c667b7ee797',
          '21f40af7-b9c0-401f-9ce0-f7637085619c',
          'Benjamin',
          'Charles',
          '881 Anne Crest',
          '893 Lisa Summit Apt. 259',
          'Clark-Sanders',
          'Ashleyville',
          '4985 Karen Centers Suite 064',
          '92618',
          'Mauritius',
          '7447239997',
        ],
        [
          '7ecb7295-9fc4-427d-a029-3cb8b0bfdbba',
          '975980c1-9d5b-41cd-8f96-82936169aeea',
          'Wesley',
          'Daniel',
          '427 Wilson Extensions Apt. 577',
          '620 Samantha Isle',
          'Hayes-Watkins',
          'Lake Donna',
          '8478 Rhonda Lakes',
          '05871',
          'Iraq',
          '606-817-3223',
        ],
        [
          '231f03ab-b3f1-4134-9c78-250506cd80fe',
          '934bbb2e-5fb7-4648-b2bd-2bfb83841496',
          'John',
          'Sierra',
          '3074 Jacob Locks Suite 801',
          '1894 Eric Ramp',
          'West-Rojas',
          'Port Amandaside',
          '915 Soto Ferry Apt. 794',
          '58295',
          'Ecuador',
          '761.107.2999x370',
        ],
        [
          '6026d0a1-5e66-4c16-9ed6-c743396601a5',
          '23593cfd-c476-42d5-8924-9a6fb8254896',
          'Ryan',
          'Ryan',
          '386 Carter Path',
          '221 Carroll Rue',
          'Dyer, Smith and Lowe',
          'New Tammyberg',
          '1013 Adams Stravenue',
          '63894',
          'Faroe Islands',
          '(665)656-6038x16205',
        ],
        [
          '1bacd4ca-c41e-4b1d-ba50-3ac9a7af0bf6',
          '2e678a6d-afa1-49c6-8467-89cf602addb8',
          'George',
          'Jason',
          '6496 Cheryl Stravenue Suite 457',
          '55548 Walters Locks',
          'Hart-Simmons',
          'Derekbury',
          '81671 Stacy Track',
          '66294',
          'Mauritius',
          '+1-501-936-9629x06338',
        ],
        [
          'e607e90c-a639-4b66-821a-1554b7fc7d39',
          '5820cf5e-5f1d-4803-ad03-b7ca7dcfca60',
          'Anita',
          'Crystal',
          '24541 Matthew Route',
          '8184 Jessica Point',
          'Turner-Chan',
          'Moorestad',
          '100 Carpenter Spurs',
          '46865',
          'Ethiopia',
          '+1-598-716-4672x4794',
        ],
        [
          'd67df3f5-ed74-4f22-993f-c90921492f8f',
          '64a8a934-2b94-48ee-87fd-2e5f1100e132',
          'Christian',
          'Raymond',
          '56051 Collins Camp',
          '02835 Simpson Parkways Apt. 690',
          'Walker, Davis and Lopez',
          'Port Robertmouth',
          '72027 Shaw Extensions Suite 119',
          '16713',
          'Lebanon',
          '885.772.6309',
        ],
        [
          '9c3c5fc3-b1d2-49dd-83f6-eb21ca62c943',
          '3fb997c0-ec7e-46b3-8261-41dfac8d4f1d',
          'Brandon',
          'Brittney',
          '7937 Sarah Manors',
          '0242 Tanner Mission Suite 746',
          'Martinez-Scott',
          'West Michael',
          '654 Leslie Trace',
          '80963',
          'French Southern Territories',
          '763.007.0819x5946',
        ],
        [
          '3d574a30-88ba-4192-8104-3401b18a5c26',
          '0aedcabd-0585-4822-9adb-aae5996556fe',
          'Deborah',
          'David',
          '7178 York Street Apt. 539',
          '2426 Crystal Plains',
          'Brown-Hurley',
          'Marshallshire',
          '09258 Mcguire Lakes Suite 250',
          '13172',
          'Sri Lanka',
          '+1-662-211-5221x005',
        ],
        [
          '0b5c6034-bc0b-42b9-ba5e-e9cbe8a8ee1e',
          '2ff3760d-5e52-4ffc-91dd-f98e97fc6fbd',
          'Brandon',
          'Krystal',
          '5730 Sanders Mount Suite 733',
          '927 Gregory Grove',
          'Vincent-Gonzalez',
          'Perezborough',
          '47470 Flynn Row Suite 057',
          '41816',
          'Lebanon',
          '(519)148-7430x474',
        ],
        [
          '6f89ffc5-78d6-44f2-9c8d-bc11a52deddc',
          '76d97e46-1b79-426d-a196-13f41d6f3316',
          'Karen',
          'Justin',
          '1980 John Mountain',
          '4002 Leah Trail',
          'Rasmussen, Flynn and Pittman',
          'Jacobtown',
          '4617 Fisher Causeway Suite 029',
          '50859',
          'Austria',
          '(754)208-2217',
        ],
        [
          '8bbb8913-d276-4e83-87f2-6b5b1b5eb7b4',
          '6822a50f-5865-4aaa-b67f-2db30493edb4',
          'Ricardo',
          'Samantha',
          '23504 Sandra Center Apt. 216',
          '40959 Jason Estates Apt. 696',
          'Lopez, Doyle and Griffin',
          'Port Cassandrahaven',
          '395 Coleman Prairie',
          '12593',
          'Bosnia and Herzegovina',
          '399.279.7217x2246',
        ],
        [
          '2fde1390-9bcd-486e-86e6-b4bb427faa75',
          '8b8e2b20-020d-4be3-a11d-1408b0f394d6',
          'Edward',
          'Tim',
          '86241 Marsh Fork',
          '14727 Benjamin Place Suite 747',
          'Adams, Parker and Gomez',
          'Sanchezville',
          '66293 Watson Unions',
          '50865',
          'Saint Vincent and the Grenadines',
          '(631)242-5727',
        ],
        [
          '376096fe-2c8f-4e56-9ee2-7bd1dd2f9a88',
          '1a065321-c6cf-486c-91b1-57f8caab4727',
          'Joseph',
          'Brianna',
          '297 Selena Underpass',
          '41353 Mcdonald Squares Apt. 397',
          'Wright Inc',
          'New Melanie',
          '6230 Scott Roads Apt. 163',
          '42639',
          'Belgium',
          '001-360-399-2694x145',
        ],
        [
          'afdbca76-af4e-4783-867e-e2b92161c40e',
          'adc24930-9dab-400b-9f46-620c1be9c841',
          'Beth',
          'Justin',
          '06732 Owens Ville Apt. 643',
          '02881 Tyler Square',
          'Baker-Coleman',
          'South Jonathan',
          '771 Smith Lodge Apt. 619',
          '12995',
          'Ecuador',
          '+1-060-277-3810x438',
        ],
        [
          'b3d878b8-8e37-4922-a53a-f4b2295d8bb9',
          '647a2505-86da-4bdf-b5f3-d67ac8ec7980',
          'Tiffany',
          'Justin',
          '60489 Barbara Course Suite 095',
          '9328 Ashley Drives',
          'Schmidt Ltd',
          'New William',
          '6354 Johnson Glen',
          '37229',
          'Antarctica (the territory South of 60 deg S)',
          '(544)876-8904x194',
        ],
      ],
    },
    tableProfile: [
      {
        profileDate: '2021-10-16',
        columnCount: 12,
        rowCount: 725,
        columnProfile: [
          {
            name: 'address_id',
            uniqueCount: 9,
            uniqueProportion: 0.52805369,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'shop_id',
            uniqueCount: 29,
            uniqueProportion: 0.2290940013,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'first_name',
            uniqueCount: 13,
            uniqueProportion: 0.1327792,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'last_name',
            uniqueCount: 23,
            uniqueProportion: 0.177126,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'address1',
            uniqueCount: 53,
            uniqueProportion: 0.0396391,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'address2',
            uniqueCount: 76,
            uniqueProportion: 0.0690369,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'company',
            uniqueCount: 23,
            uniqueProportion: 0.1210963,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'city',
            uniqueCount: 6,
            uniqueProportion: 0.024072,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'region',
            uniqueCount: 3,
            uniqueProportion: 0.1478114,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'zip',
            uniqueCount: 11,
            uniqueProportion: 0.1383472,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'country',
            uniqueCount: 13,
            uniqueProportion: 0.1601013,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'phone',
            uniqueCount: 8,
            uniqueProportion: 0.1297079,
            nullCount: 0,
            nullProportion: 0,
          },
        ],
      },
      {
        profileDate: '2021-10-15',
        columnCount: 12,
        rowCount: 1613,
        columnProfile: [
          {
            name: 'address_id',
            uniqueCount: 9,
            uniqueProportion: 0.15982599,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'shop_id',
            uniqueCount: 29,
            uniqueProportion: 0.455669453,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'first_name',
            uniqueCount: 13,
            uniqueProportion: 0.1327792,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'last_name',
            uniqueCount: 23,
            uniqueProportion: 0.177126,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'address1',
            uniqueCount: 41,
            uniqueProportion: 0.0396391,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'address2',
            uniqueCount: 15,
            uniqueProportion: 0.0690369,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'company',
            uniqueCount: 23,
            uniqueProportion: 0.1210963,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'city',
            uniqueCount: 6,
            uniqueProportion: 0.024072,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'region',
            uniqueCount: 0,
            uniqueProportion: 0,
            nullCount: 3,
            nullProportion: 0.1478114,
          },
          {
            name: 'zip',
            uniqueCount: 0,
            uniqueProportion: 0,
            nullCount: 11,
            nullProportion: 0.284726178,
          },
          {
            name: 'country',
            uniqueCount: 13,
            uniqueProportion: 0.1601013,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'phone',
            uniqueCount: 8,
            uniqueProportion: 0.1297079,
            nullCount: 0,
            nullProportion: 0,
          },
        ],
      },
      {
        profileDate: '2021-10-14',
        columnCount: 12,
        rowCount: 678,
        columnProfile: [
          {
            name: 'address_id',
            uniqueCount: 9,
            uniqueProportion: 0.78621859,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'shop_id',
            uniqueCount: 29,
            uniqueProportion: 0.1729116032,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'first_name',
            uniqueCount: 13,
            uniqueProportion: 0.1327792,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'last_name',
            uniqueCount: 23,
            uniqueProportion: 0.177126,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'address1',
            uniqueCount: 51,
            uniqueProportion: 0.0396391,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'address2',
            uniqueCount: 93,
            uniqueProportion: 0.0690369,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'company',
            uniqueCount: 23,
            uniqueProportion: 0.1210963,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'city',
            uniqueCount: 6,
            uniqueProportion: 0.024072,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'region',
            uniqueCount: 3,
            uniqueProportion: 0.1478114,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'zip',
            uniqueCount: 11,
            uniqueProportion: 0.1383472,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'country',
            uniqueCount: 13,
            uniqueProportion: 0.1601013,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'phone',
            uniqueCount: 8,
            uniqueProportion: 0.1297079,
            nullCount: 0,
            nullProportion: 0,
          },
        ],
      },
      {
        profileDate: '2021-10-13',
        columnCount: 12,
        rowCount: 1044,
        columnProfile: [
          {
            name: 'address_id',
            uniqueCount: 9,
            uniqueProportion: 0.68665925,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'shop_id',
            uniqueCount: 29,
            uniqueProportion: 0.1079933845,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'first_name',
            uniqueCount: 13,
            uniqueProportion: 0.1327792,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'last_name',
            uniqueCount: 23,
            uniqueProportion: 0.177126,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'address1',
            uniqueCount: 35,
            uniqueProportion: 0.0396391,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'address2',
            uniqueCount: 94,
            uniqueProportion: 0.0690369,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'company',
            uniqueCount: 23,
            uniqueProportion: 0.1210963,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'city',
            uniqueCount: 6,
            uniqueProportion: 0.024072,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'region',
            uniqueCount: 3,
            uniqueProportion: 0.1478114,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'zip',
            uniqueCount: 11,
            uniqueProportion: 0.1383472,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'country',
            uniqueCount: 13,
            uniqueProportion: 0.1601013,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'phone',
            uniqueCount: 8,
            uniqueProportion: 0.1297079,
            nullCount: 0,
            nullProportion: 0,
          },
        ],
      },
      {
        profileDate: '2021-10-12',
        columnCount: 12,
        rowCount: 1168,
        columnProfile: [
          {
            name: 'address_id',
            uniqueCount: 0,
            uniqueProportion: 0,
            nullCount: 9,
            nullProportion: 0.80217948,
          },
          {
            name: 'shop_id',
            uniqueCount: 0,
            uniqueProportion: 0,
            nullCount: 29,
            nullProportion: 0.170325111,
          },
          {
            name: 'first_name',
            uniqueCount: 13,
            uniqueProportion: 0.1327792,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'last_name',
            uniqueCount: 23,
            uniqueProportion: 0.177126,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'address1',
            uniqueCount: 95,
            uniqueProportion: 0.0396391,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'address2',
            uniqueCount: 10,
            uniqueProportion: 0.0690369,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'company',
            uniqueCount: 23,
            uniqueProportion: 0.1210963,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'city',
            uniqueCount: 6,
            uniqueProportion: 0.024072,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'region',
            uniqueCount: 3,
            uniqueProportion: 0.1478114,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'zip',
            uniqueCount: 11,
            uniqueProportion: 0.1383472,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'country',
            uniqueCount: 13,
            uniqueProportion: 0.1601013,
            nullCount: 0,
            nullProportion: 0,
          },
          {
            name: 'phone',
            uniqueCount: 8,
            uniqueProportion: 0.1297079,
            nullCount: 0,
            nullProportion: 0,
          },
        ],
      },
    ],
  },
  users: [
    {
      id: '862ec2ea-82c5-43a3-82e1-bf0fa75f0248',
      name: 'Aaron Johnson',
      displayName: 'Aaron Johnson',
      version: 0.1,
      updatedAt: 1637994032688,
      updatedBy: 'anonymous',
      email: 'aaron_johnson0@gmail.com',
      href: 'http://localhost:8585/api/v1/users/862ec2ea-82c5-43a3-82e1-bf0fa75f0248',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '0073c2b4-29c9-4d57-80db-7a547d2d8223',
      name: 'Aaron Singh',
      displayName: 'Aaron Singh',
      version: 0.1,
      updatedAt: 1637994034022,
      updatedBy: 'anonymous',
      email: 'aaron_singh2@gmail.com',
      href: 'http://localhost:8585/api/v1/users/0073c2b4-29c9-4d57-80db-7a547d2d8223',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'c675fc42-011a-48d3-9a09-f8910d2bf1d9',
      name: 'Aaron Warren',
      displayName: 'Aaron Warren',
      version: 0.1,
      updatedAt: 1637994034806,
      updatedBy: 'anonymous',
      email: 'aaron_warren5@gmail.com',
      href: 'http://localhost:8585/api/v1/users/c675fc42-011a-48d3-9a09-f8910d2bf1d9',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '9fa302c0-4820-41b0-b556-7b64a73c9ea6',
      name: 'Adam Matthews',
      displayName: 'Adam Matthews',
      version: 0.1,
      updatedAt: 1637994036484,
      updatedBy: 'anonymous',
      email: 'adam_matthews2@gmail.com',
      href: 'http://localhost:8585/api/v1/users/9fa302c0-4820-41b0-b556-7b64a73c9ea6',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '72908aaa-bd99-45b4-a1bf-9be22bdc54ec',
      name: 'Adam Rodriguez',
      displayName: 'Adam Rodriguez',
      version: 0.1,
      updatedAt: 1637994037460,
      updatedBy: 'anonymous',
      email: 'adam_rodriguez9@gmail.com',
      href: 'http://localhost:8585/api/v1/users/72908aaa-bd99-45b4-a1bf-9be22bdc54ec',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'f464d107-c881-44ba-94b7-a2c3951ec8f6',
      name: 'Alec Kane',
      displayName: 'Alec Kane',
      version: 0.1,
      updatedAt: 1637994038967,
      updatedBy: 'anonymous',
      email: 'alec_kane4@gmail.com',
      href: 'http://localhost:8585/api/v1/users/f464d107-c881-44ba-94b7-a2c3951ec8f6',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '700829d0-6575-4a21-a0aa-bad10697b9d9',
      name: 'Alex Pollard',
      displayName: 'Alex Pollard',
      version: 0.1,
      updatedAt: 1637994039629,
      updatedBy: 'anonymous',
      email: 'alex_pollard9@gmail.com',
      href: 'http://localhost:8585/api/v1/users/700829d0-6575-4a21-a0aa-bad10697b9d9',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'dccd8e27-dfb6-4ffb-b0e3-52066a04c436',
      name: 'Alexa Jordan',
      displayName: 'Alexa Jordan',
      version: 0.1,
      updatedAt: 1637994040306,
      updatedBy: 'anonymous',
      email: 'alexa_jordan3@gmail.com',
      href: 'http://localhost:8585/api/v1/users/dccd8e27-dfb6-4ffb-b0e3-52066a04c436',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'fe27999d-d9c2-4378-9905-52970b84d4bb',
      name: 'Alexander Jackson',
      displayName: 'Alexander Jackson',
      version: 0.1,
      updatedAt: 1637994041546,
      updatedBy: 'anonymous',
      email: 'alexander_jackson5@gmail.com',
      href: 'http://localhost:8585/api/v1/users/fe27999d-d9c2-4378-9905-52970b84d4bb',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '0bca8113-e852-4df2-9762-b1a755d2a460',
      name: 'Alexander Russell',
      displayName: 'Alexander Russell',
      version: 0.1,
      updatedAt: 1637994042750,
      updatedBy: 'anonymous',
      email: 'alexander_russell2@gmail.com',
      href: 'http://localhost:8585/api/v1/users/0bca8113-e852-4df2-9762-b1a755d2a460',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'd37498b5-5342-43a6-ac2a-495fae6461ab',
      name: 'Amanda Bullock',
      displayName: 'Amanda Bullock',
      version: 0.1,
      updatedAt: 1637994044346,
      updatedBy: 'anonymous',
      email: 'amanda_bullock6@gmail.com',
      href: 'http://localhost:8585/api/v1/users/d37498b5-5342-43a6-ac2a-495fae6461ab',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '8369d268-c98d-4101-867f-dd7275087c52',
      name: 'Amanda York',
      displayName: 'Amanda York',
      version: 0.1,
      updatedAt: 1637994044876,
      updatedBy: 'anonymous',
      email: 'amanda_york8@gmail.com',
      href: 'http://localhost:8585/api/v1/users/8369d268-c98d-4101-867f-dd7275087c52',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'a8d00ecc-cd8e-4671-911b-ed15c184d0e2',
      name: 'Amber Green',
      displayName: 'Amber Green',
      version: 0.1,
      updatedAt: 1637994046202,
      updatedBy: 'anonymous',
      email: 'amber_green0@gmail.com',
      href: 'http://localhost:8585/api/v1/users/a8d00ecc-cd8e-4671-911b-ed15c184d0e2',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '28352720-ab73-47b5-a30d-2e830bc4dd37',
      name: 'Amy Stephens',
      displayName: 'Amy Stephens',
      version: 0.1,
      updatedAt: 1637994046704,
      updatedBy: 'anonymous',
      email: 'amy_stephens4@gmail.com',
      href: 'http://localhost:8585/api/v1/users/28352720-ab73-47b5-a30d-2e830bc4dd37',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '92287bc6-c825-4b54-b3f8-e822f64b6943',
      name: 'Ana Mckay',
      displayName: 'Ana Mckay',
      version: 0.1,
      updatedAt: 1637994047578,
      updatedBy: 'anonymous',
      email: 'ana_mckay7@gmail.com',
      href: 'http://localhost:8585/api/v1/users/92287bc6-c825-4b54-b3f8-e822f64b6943',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '68193500-6782-4e04-9aa8-dfc765e52d2a',
      name: 'Andrea Bartlett',
      displayName: 'Andrea Bartlett',
      version: 0.1,
      updatedAt: 1637994049132,
      updatedBy: 'anonymous',
      email: 'andrea_bartlett6@gmail.com',
      href: 'http://localhost:8585/api/v1/users/68193500-6782-4e04-9aa8-dfc765e52d2a',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'e4c32ce8-6bb1-46f7-97ee-30b509637422',
      name: 'Andrea Reed',
      displayName: 'Andrea Reed',
      version: 0.1,
      updatedAt: 1637994049735,
      updatedBy: 'anonymous',
      email: 'andrea_reed7@gmail.com',
      href: 'http://localhost:8585/api/v1/users/e4c32ce8-6bb1-46f7-97ee-30b509637422',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '007a46e0-70ed-4899-a5f3-f8ed1b8ef8aa',
      name: 'Andrew Hernandez',
      displayName: 'Andrew Hernandez',
      version: 0.1,
      updatedAt: 1637994051061,
      updatedBy: 'anonymous',
      email: 'andrew_hernandez9@gmail.com',
      href: 'http://localhost:8585/api/v1/users/007a46e0-70ed-4899-a5f3-f8ed1b8ef8aa',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'e4bb4e48-1fdf-40e7-a5be-707adcb13477',
      name: 'Andrew Jackson',
      displayName: 'Andrew Jackson',
      version: 0.1,
      updatedAt: 1637994051650,
      updatedBy: 'anonymous',
      email: 'andrew_jackson3@gmail.com',
      href: 'http://localhost:8585/api/v1/users/e4bb4e48-1fdf-40e7-a5be-707adcb13477',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '6e19b2de-88bf-433e-8492-aca5a22506bd',
      name: 'Andrew Jennings',
      displayName: 'Andrew Jennings',
      version: 0.1,
      updatedAt: 1637994052212,
      updatedBy: 'anonymous',
      email: 'andrew_jennings3@gmail.com',
      href: 'http://localhost:8585/api/v1/users/6e19b2de-88bf-433e-8492-aca5a22506bd',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '9eb7437a-878c-4ee7-a27c-7d42f224a3bb',
      name: 'Andrew Rivas',
      displayName: 'Andrew Rivas',
      version: 0.1,
      updatedAt: 1637994053438,
      updatedBy: 'anonymous',
      email: 'andrew_rivas3@gmail.com',
      href: 'http://localhost:8585/api/v1/users/9eb7437a-878c-4ee7-a27c-7d42f224a3bb',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '38961ca9-71ff-4b8b-a700-b0f4865e4b79',
      name: 'Andrew Shelton',
      displayName: 'Andrew Shelton',
      version: 0.1,
      updatedAt: 1637994053984,
      updatedBy: 'anonymous',
      email: 'andrew_shelton6@gmail.com',
      href: 'http://localhost:8585/api/v1/users/38961ca9-71ff-4b8b-a700-b0f4865e4b79',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'a5db7d00-54e0-4835-9552-5339bcd8e5b5',
      name: 'Andrew Short',
      displayName: 'Andrew Short',
      version: 0.1,
      updatedAt: 1637994054558,
      updatedBy: 'anonymous',
      email: 'andrew_short2@gmail.com',
      href: 'http://localhost:8585/api/v1/users/a5db7d00-54e0-4835-9552-5339bcd8e5b5',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '231f6d83-73eb-430b-8420-dbccde4ee25c',
      name: 'Angel Smith',
      displayName: 'Angel Smith',
      version: 0.1,
      updatedAt: 1637994056018,
      updatedBy: 'anonymous',
      email: 'angel_smith0@gmail.com',
      href: 'http://localhost:8585/api/v1/users/231f6d83-73eb-430b-8420-dbccde4ee25c',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '1de6900c-e946-49d0-b399-7395c84b44ea',
      name: 'Angela Kidd',
      displayName: 'Angela Kidd',
      version: 0.1,
      updatedAt: 1637994056552,
      updatedBy: 'anonymous',
      email: 'angela_kidd0@gmail.com',
      href: 'http://localhost:8585/api/v1/users/1de6900c-e946-49d0-b399-7395c84b44ea',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'b8c5d274-c7dd-45ee-ad12-f18fa33a26ca',
      name: 'Anna Parker',
      displayName: 'Anna Parker',
      version: 0.1,
      updatedAt: 1637994057172,
      updatedBy: 'anonymous',
      email: 'anna_parker9@gmail.com',
      href: 'http://localhost:8585/api/v1/users/b8c5d274-c7dd-45ee-ad12-f18fa33a26ca',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '0cbf3bc6-cba1-47d0-9c4a-90a5f63a0a00',
      name: 'Anthony Wall',
      displayName: 'Anthony Wall',
      version: 0.1,
      updatedAt: 1637994058527,
      updatedBy: 'anonymous',
      email: 'anthony_wall4@gmail.com',
      href: 'http://localhost:8585/api/v1/users/0cbf3bc6-cba1-47d0-9c4a-90a5f63a0a00',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '09bac15b-6e9f-4da5-aeef-d4c680c0263f',
      name: 'Antonio Gallegos',
      displayName: 'Antonio Gallegos',
      version: 0.1,
      updatedAt: 1637994059149,
      updatedBy: 'anonymous',
      email: 'antonio_gallegos8@gmail.com',
      href: 'http://localhost:8585/api/v1/users/09bac15b-6e9f-4da5-aeef-d4c680c0263f',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '6ec5cb52-adab-4a77-8228-fbabb347e246',
      name: 'Ariana Shannon',
      displayName: 'Ariana Shannon',
      version: 0.1,
      updatedAt: 1637994060765,
      updatedBy: 'anonymous',
      email: 'ariana_shannon3@gmail.com',
      href: 'http://localhost:8585/api/v1/users/6ec5cb52-adab-4a77-8228-fbabb347e246',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '519e2a25-666b-41ed-b3fa-50cff2119de0',
      name: 'Arthur Butler',
      displayName: 'Arthur Butler',
      version: 0.1,
      updatedAt: 1637994062187,
      updatedBy: 'anonymous',
      email: 'arthur_butler5@gmail.com',
      href: 'http://localhost:8585/api/v1/users/519e2a25-666b-41ed-b3fa-50cff2119de0',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '7aef7a9f-5d97-4cbb-9725-48eb7cd9d0db',
      name: 'Ashley King',
      displayName: 'Ashley King',
      version: 0.1,
      updatedAt: 1637994062739,
      updatedBy: 'anonymous',
      email: 'ashley_king5@gmail.com',
      href: 'http://localhost:8585/api/v1/users/7aef7a9f-5d97-4cbb-9725-48eb7cd9d0db',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '78d03205-eba8-42ec-a563-8166f4c6287d',
      name: 'Ashley Sutton',
      displayName: 'Ashley Sutton',
      version: 0.1,
      updatedAt: 1637994063396,
      updatedBy: 'anonymous',
      email: 'ashley_sutton9@gmail.com',
      href: 'http://localhost:8585/api/v1/users/78d03205-eba8-42ec-a563-8166f4c6287d',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '2261c9d1-a441-4b4e-903d-c3df0e4df7ab',
      name: 'Ashley Wagner',
      displayName: 'Ashley Wagner',
      version: 0.1,
      updatedAt: 1637994064916,
      updatedBy: 'anonymous',
      email: 'ashley_wagner9@gmail.com',
      href: 'http://localhost:8585/api/v1/users/2261c9d1-a441-4b4e-903d-c3df0e4df7ab',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '27feec08-5acc-4f77-af5f-207b7f486e12',
      name: 'Audrey Williams',
      displayName: 'Audrey Williams',
      version: 0.1,
      updatedAt: 1637994065465,
      updatedBy: 'anonymous',
      email: 'audrey_williams6@gmail.com',
      href: 'http://localhost:8585/api/v1/users/27feec08-5acc-4f77-af5f-207b7f486e12',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '4195abf8-a683-4413-9fae-8f7c315201b6',
      name: 'Autumn Wilcox',
      displayName: 'Autumn Wilcox',
      version: 0.1,
      updatedAt: 1637994066212,
      updatedBy: 'anonymous',
      email: 'autumn_wilcox7@gmail.com',
      href: 'http://localhost:8585/api/v1/users/4195abf8-a683-4413-9fae-8f7c315201b6',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'e1f7caf4-99cf-4dac-bf25-27d31c352491',
      name: 'Barbara Fox',
      displayName: 'Barbara Fox',
      version: 0.1,
      updatedAt: 1637994067399,
      updatedBy: 'anonymous',
      email: 'barbara_fox5@gmail.com',
      href: 'http://localhost:8585/api/v1/users/e1f7caf4-99cf-4dac-bf25-27d31c352491',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'f4fc1ab0-8a3f-47da-9e52-d00bf2d371df',
      name: 'Barbara Gonzalez',
      displayName: 'Barbara Gonzalez',
      version: 0.1,
      updatedAt: 1637994067936,
      updatedBy: 'anonymous',
      email: 'barbara_gonzalez2@gmail.com',
      href: 'http://localhost:8585/api/v1/users/f4fc1ab0-8a3f-47da-9e52-d00bf2d371df',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'f37beb74-b3ee-492e-ac55-4495d147f6f8',
      name: 'Barbara Lee',
      displayName: 'Barbara Lee',
      version: 0.1,
      updatedAt: 1637994069386,
      updatedBy: 'anonymous',
      email: 'barbara_lee0@gmail.com',
      href: 'http://localhost:8585/api/v1/users/f37beb74-b3ee-492e-ac55-4495d147f6f8',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'ce119fc6-3707-4784-b9d7-b67f646333cc',
      name: 'Benjamin Dickerson',
      displayName: 'Benjamin Dickerson',
      version: 0.1,
      updatedAt: 1637994069963,
      updatedBy: 'anonymous',
      email: 'benjamin_dickerson8@gmail.com',
      href: 'http://localhost:8585/api/v1/users/ce119fc6-3707-4784-b9d7-b67f646333cc',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '1e86002d-9cc9-490a-8f94-a0d7580fbcde',
      name: 'Benjamin Martinez',
      displayName: 'Benjamin Martinez',
      version: 0.1,
      updatedAt: 1637994070431,
      updatedBy: 'anonymous',
      email: 'benjamin_martinez5@gmail.com',
      href: 'http://localhost:8585/api/v1/users/1e86002d-9cc9-490a-8f94-a0d7580fbcde',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '8eb4f163-0985-4e85-b235-8f0424daf741',
      name: 'Bobby Johnson',
      displayName: 'Bobby Johnson',
      version: 0.1,
      updatedAt: 1637994071269,
      updatedBy: 'anonymous',
      email: 'bobby_johnson3@gmail.com',
      href: 'http://localhost:8585/api/v1/users/8eb4f163-0985-4e85-b235-8f0424daf741',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '7e1c980e-31cf-456d-af9d-fc5dbf258536',
      name: 'Bobby Wright',
      displayName: 'Bobby Wright',
      version: 0.1,
      updatedAt: 1637994072187,
      updatedBy: 'anonymous',
      email: 'bobby_wright7@gmail.com',
      href: 'http://localhost:8585/api/v1/users/7e1c980e-31cf-456d-af9d-fc5dbf258536',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '72d64e19-c0e6-4457-af41-80c4db537237',
      name: 'Bradley Hernandez',
      displayName: 'Bradley Hernandez',
      version: 0.1,
      updatedAt: 1637994072619,
      updatedBy: 'anonymous',
      email: 'bradley_hernandez0@gmail.com',
      href: 'http://localhost:8585/api/v1/users/72d64e19-c0e6-4457-af41-80c4db537237',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '16d37909-4ea2-47ef-b874-256edf67c517',
      name: 'Brandon Peterson',
      displayName: 'Brandon Peterson',
      version: 0.1,
      updatedAt: 1637994073110,
      updatedBy: 'anonymous',
      email: 'brandon_peterson0@gmail.com',
      href: 'http://localhost:8585/api/v1/users/16d37909-4ea2-47ef-b874-256edf67c517',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '6cdf0277-3390-4aa8-83a9-f1de0f841aba',
      name: 'Brandy Miller',
      displayName: 'Brandy Miller',
      version: 0.1,
      updatedAt: 1637994074359,
      updatedBy: 'anonymous',
      email: 'brandy_miller4@gmail.com',
      href: 'http://localhost:8585/api/v1/users/6cdf0277-3390-4aa8-83a9-f1de0f841aba',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '7708e5bf-410a-45ca-86c5-4da3855092b4',
      name: 'Brett Henry',
      displayName: 'Brett Henry',
      version: 0.1,
      updatedAt: 1637994075008,
      updatedBy: 'anonymous',
      email: 'brett_henry0@gmail.com',
      href: 'http://localhost:8585/api/v1/users/7708e5bf-410a-45ca-86c5-4da3855092b4',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '329b7e70-dc75-43fc-b956-37b776dddafc',
      name: 'Brian Bryan',
      displayName: 'Brian Bryan',
      version: 0.1,
      updatedAt: 1637994075589,
      updatedBy: 'anonymous',
      email: 'brian_bryan3@gmail.com',
      href: 'http://localhost:8585/api/v1/users/329b7e70-dc75-43fc-b956-37b776dddafc',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'f4c84980-7f5e-4d33-8a08-991c8235978d',
      name: 'Brian Dunlap',
      displayName: 'Brian Dunlap',
      version: 0.1,
      updatedAt: 1637994076946,
      updatedBy: 'anonymous',
      email: 'brian_dunlap9@gmail.com',
      href: 'http://localhost:8585/api/v1/users/f4c84980-7f5e-4d33-8a08-991c8235978d',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '8553a570-abf1-47ac-b43e-670992a6477f',
      name: 'Brian Howell',
      displayName: 'Brian Howell',
      version: 0.1,
      updatedAt: 1637994077915,
      updatedBy: 'anonymous',
      email: 'brian_howell6@gmail.com',
      href: 'http://localhost:8585/api/v1/users/8553a570-abf1-47ac-b43e-670992a6477f',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'de28b65d-eb88-4c74-a17c-f26d9ea4bed8',
      name: 'Brian Nelson',
      displayName: 'Brian Nelson',
      version: 0.1,
      updatedAt: 1637994078849,
      updatedBy: 'anonymous',
      email: 'brian_nelson1@gmail.com',
      href: 'http://localhost:8585/api/v1/users/de28b65d-eb88-4c74-a17c-f26d9ea4bed8',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '9cad9e6b-7046-4df5-a7fd-8012a9c9ac65',
      name: 'Brian Smith',
      displayName: 'Brian Smith',
      version: 0.1,
      updatedAt: 1637994080191,
      updatedBy: 'anonymous',
      email: 'brian_smith7@gmail.com',
      href: 'http://localhost:8585/api/v1/users/9cad9e6b-7046-4df5-a7fd-8012a9c9ac65',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '7bfb5970-0d11-434a-be51-0d4b8fa626e5',
      name: 'Brian Weaver',
      displayName: 'Brian Weaver',
      version: 0.1,
      updatedAt: 1637994080658,
      updatedBy: 'anonymous',
      email: 'brian_weaver7@gmail.com',
      href: 'http://localhost:8585/api/v1/users/7bfb5970-0d11-434a-be51-0d4b8fa626e5',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '177a82ba-1ad2-4ac9-8273-5af1ef14aa80',
      name: 'Brittany Garza',
      displayName: 'Brittany Garza',
      version: 0.1,
      updatedAt: 1637994081114,
      updatedBy: 'anonymous',
      email: 'brittany_garza4@gmail.com',
      href: 'http://localhost:8585/api/v1/users/177a82ba-1ad2-4ac9-8273-5af1ef14aa80',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '48f937da-f154-4904-a2e9-03ca3560d769',
      name: 'Brittany Nelson',
      displayName: 'Brittany Nelson',
      version: 0.1,
      updatedAt: 1637994082663,
      updatedBy: 'anonymous',
      email: 'brittany_nelson5@gmail.com',
      href: 'http://localhost:8585/api/v1/users/48f937da-f154-4904-a2e9-03ca3560d769',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'c07584b0-c93a-45fe-9ecd-138b909282b1',
      name: 'Brittany Wilson',
      displayName: 'Brittany Wilson',
      version: 0.1,
      updatedAt: 1637994083243,
      updatedBy: 'anonymous',
      email: 'brittany_wilson6@gmail.com',
      href: 'http://localhost:8585/api/v1/users/c07584b0-c93a-45fe-9ecd-138b909282b1',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'f137c136-1e48-4289-99a1-73c905129666',
      name: 'Brittney Thomas',
      displayName: 'Brittney Thomas',
      version: 0.1,
      updatedAt: 1637994084065,
      updatedBy: 'anonymous',
      email: 'brittney_thomas3@gmail.com',
      href: 'http://localhost:8585/api/v1/users/f137c136-1e48-4289-99a1-73c905129666',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '8a27afe6-0030-4a2e-a618-48ed729d11ef',
      name: 'Bryan Moreno',
      displayName: 'Bryan Moreno',
      version: 0.1,
      updatedAt: 1637994085559,
      updatedBy: 'anonymous',
      email: 'bryan_moreno6@gmail.com',
      href: 'http://localhost:8585/api/v1/users/8a27afe6-0030-4a2e-a618-48ed729d11ef',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '59356744-d118-4ea4-b752-94d5542bbf73',
      name: 'Caitlin Ewing',
      displayName: 'Caitlin Ewing',
      version: 0.1,
      updatedAt: 1637994086285,
      updatedBy: 'anonymous',
      email: 'caitlin_ewing5@gmail.com',
      href: 'http://localhost:8585/api/v1/users/59356744-d118-4ea4-b752-94d5542bbf73',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '82c3b425-92c6-4436-bc99-e955987c8725',
      name: 'Caitlin Wilkins',
      displayName: 'Caitlin Wilkins',
      version: 0.1,
      updatedAt: 1637994088183,
      updatedBy: 'anonymous',
      email: 'caitlin_wilkins0@gmail.com',
      href: 'http://localhost:8585/api/v1/users/82c3b425-92c6-4436-bc99-e955987c8725',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '1c86cae2-9024-415b-80ae-3d8f5875d653',
      name: 'Caleb Reyes',
      displayName: 'Caleb Reyes',
      version: 0.1,
      updatedAt: 1637994089011,
      updatedBy: 'anonymous',
      email: 'caleb_reyes5@gmail.com',
      href: 'http://localhost:8585/api/v1/users/1c86cae2-9024-415b-80ae-3d8f5875d653',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '4efb0dfc-3a36-42ef-b786-d2889ab6902e',
      name: 'Calvin Williams',
      displayName: 'Calvin Williams',
      version: 0.1,
      updatedAt: 1637994090817,
      updatedBy: 'anonymous',
      email: 'calvin_williams5@gmail.com',
      href: 'http://localhost:8585/api/v1/users/4efb0dfc-3a36-42ef-b786-d2889ab6902e',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'cb8d37b2-5d8d-4a09-b958-f83d718d7a6e',
      name: 'Cameron Newman',
      displayName: 'Cameron Newman',
      version: 0.1,
      updatedAt: 1637994091736,
      updatedBy: 'anonymous',
      email: 'cameron_newman8@gmail.com',
      href: 'http://localhost:8585/api/v1/users/cb8d37b2-5d8d-4a09-b958-f83d718d7a6e',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'f97cd14f-4cbd-4149-8f55-53aba75c3d58',
      name: 'Cameron Price',
      displayName: 'Cameron Price',
      version: 0.1,
      updatedAt: 1637994093089,
      updatedBy: 'anonymous',
      email: 'cameron_price1@gmail.com',
      href: 'http://localhost:8585/api/v1/users/f97cd14f-4cbd-4149-8f55-53aba75c3d58',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '5debc155-48da-46f4-af51-3f2aef71268f',
      name: 'Candice Taylor',
      displayName: 'Candice Taylor',
      version: 0.1,
      updatedAt: 1637994094520,
      updatedBy: 'anonymous',
      email: 'candice_taylor7@gmail.com',
      href: 'http://localhost:8585/api/v1/users/5debc155-48da-46f4-af51-3f2aef71268f',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '97feee14-b78b-4c60-8f16-9b9030f81a3c',
      name: 'Carl Davis',
      displayName: 'Carl Davis',
      version: 0.1,
      updatedAt: 1637994095641,
      updatedBy: 'anonymous',
      email: 'carl_davis0@gmail.com',
      href: 'http://localhost:8585/api/v1/users/97feee14-b78b-4c60-8f16-9b9030f81a3c',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '44e6c091-f85e-4a81-9b6c-a2aa31d73953',
      name: 'Carol Jones',
      displayName: 'Carol Jones',
      version: 0.1,
      updatedAt: 1637994097063,
      updatedBy: 'anonymous',
      email: 'carol_jones9@gmail.com',
      href: 'http://localhost:8585/api/v1/users/44e6c091-f85e-4a81-9b6c-a2aa31d73953',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'b35fbdd4-db90-4f1a-bf3c-79e376f92a10',
      name: 'Carol Morgan',
      displayName: 'Carol Morgan',
      version: 0.1,
      updatedAt: 1637994097848,
      updatedBy: 'anonymous',
      email: 'carol_morgan5@gmail.com',
      href: 'http://localhost:8585/api/v1/users/b35fbdd4-db90-4f1a-bf3c-79e376f92a10',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '221c11eb-13cb-46cf-a2d7-57976ce49e36',
      name: 'Carol Wallace',
      displayName: 'Carol Wallace',
      version: 0.1,
      updatedAt: 1637994099633,
      updatedBy: 'anonymous',
      email: 'carol_wallace0@gmail.com',
      href: 'http://localhost:8585/api/v1/users/221c11eb-13cb-46cf-a2d7-57976ce49e36',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'd7b2ebdd-0113-46a3-a8a5-8535e1e83a4e',
      name: 'Carol Wells',
      displayName: 'Carol Wells',
      version: 0.1,
      updatedAt: 1637994100331,
      updatedBy: 'anonymous',
      email: 'carol_wells1@gmail.com',
      href: 'http://localhost:8585/api/v1/users/d7b2ebdd-0113-46a3-a8a5-8535e1e83a4e',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '867a7b95-bfe1-4dc8-901b-f21d5572a1bb',
      name: 'Carolyn Davis',
      displayName: 'Carolyn Davis',
      version: 0.1,
      updatedAt: 1637994100977,
      updatedBy: 'anonymous',
      email: 'carolyn_davis7@gmail.com',
      href: 'http://localhost:8585/api/v1/users/867a7b95-bfe1-4dc8-901b-f21d5572a1bb',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'b07c456b-c338-4b52-b0c3-dc804f67ede3',
      name: 'Carolyn Hill',
      displayName: 'Carolyn Hill',
      version: 0.1,
      updatedAt: 1637994102603,
      updatedBy: 'anonymous',
      email: 'carolyn_hill3@gmail.com',
      href: 'http://localhost:8585/api/v1/users/b07c456b-c338-4b52-b0c3-dc804f67ede3',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '0ebd7b95-d4a8-477a-b49d-50b58d7d15ca',
      name: 'Carrie Deleon',
      displayName: 'Carrie Deleon',
      version: 0.1,
      updatedAt: 1637994103464,
      updatedBy: 'anonymous',
      email: 'carrie_deleon9@gmail.com',
      href: 'http://localhost:8585/api/v1/users/0ebd7b95-d4a8-477a-b49d-50b58d7d15ca',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '33a67b2a-d121-4dbc-975a-9786777ce14b',
      name: 'Casey Cortez',
      displayName: 'Casey Cortez',
      version: 0.1,
      updatedAt: 1637994105276,
      updatedBy: 'anonymous',
      email: 'casey_cortez1@gmail.com',
      href: 'http://localhost:8585/api/v1/users/33a67b2a-d121-4dbc-975a-9786777ce14b',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'bbb8bf8a-c9ba-4b66-b9e0-7f9d40db931f',
      name: 'Chad Gould',
      displayName: 'Chad Gould',
      version: 0.1,
      updatedAt: 1637994105797,
      updatedBy: 'anonymous',
      email: 'chad_gould1@gmail.com',
      href: 'http://localhost:8585/api/v1/users/bbb8bf8a-c9ba-4b66-b9e0-7f9d40db931f',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'c859894a-140c-4a79-9e89-dc76e8197a76',
      name: 'Charles Smith',
      displayName: 'Charles Smith',
      version: 0.1,
      updatedAt: 1637994106422,
      updatedBy: 'anonymous',
      email: 'charles_smith4@gmail.com',
      href: 'http://localhost:8585/api/v1/users/c859894a-140c-4a79-9e89-dc76e8197a76',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '2c8dd8f2-3dfc-46ae-96bf-da3b48558839',
      name: 'Charles Wilson',
      displayName: 'Charles Wilson',
      version: 0.1,
      updatedAt: 1637994107700,
      updatedBy: 'anonymous',
      email: 'charles_wilson0@gmail.com',
      href: 'http://localhost:8585/api/v1/users/2c8dd8f2-3dfc-46ae-96bf-da3b48558839',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'a82940c4-c8cb-4d04-a592-0b308933a408',
      name: 'Chelsea Luna',
      displayName: 'Chelsea Luna',
      version: 0.1,
      updatedAt: 1637994108362,
      updatedBy: 'anonymous',
      email: 'chelsea_luna2@gmail.com',
      href: 'http://localhost:8585/api/v1/users/a82940c4-c8cb-4d04-a592-0b308933a408',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '28082b90-3666-44e2-b273-3455a1604650',
      name: 'Cheryl Lopez',
      displayName: 'Cheryl Lopez',
      version: 0.1,
      updatedAt: 1637994108901,
      updatedBy: 'anonymous',
      email: 'cheryl_lopez5@gmail.com',
      href: 'http://localhost:8585/api/v1/users/28082b90-3666-44e2-b273-3455a1604650',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '5b1c6cf4-737c-47e5-b154-83d8dc568ca7',
      name: 'Chris Mata',
      displayName: 'Chris Mata',
      version: 0.1,
      updatedAt: 1637994110658,
      updatedBy: 'anonymous',
      email: 'chris_mata4@gmail.com',
      href: 'http://localhost:8585/api/v1/users/5b1c6cf4-737c-47e5-b154-83d8dc568ca7',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '1e342062-5a0e-4919-85f7-8f7b1b428444',
      name: 'Christine Day',
      displayName: 'Christine Day',
      version: 0.1,
      updatedAt: 1637994111369,
      updatedBy: 'anonymous',
      email: 'christine_day7@gmail.com',
      href: 'http://localhost:8585/api/v1/users/1e342062-5a0e-4919-85f7-8f7b1b428444',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '6b7cfb5e-a7ea-47bd-b2af-09cb11a0853b',
      name: 'Christopher Campbell',
      displayName: 'Christopher Campbell',
      version: 0.1,
      updatedAt: 1637994111957,
      updatedBy: 'anonymous',
      email: 'christopher_campbell7@gmail.com',
      href: 'http://localhost:8585/api/v1/users/6b7cfb5e-a7ea-47bd-b2af-09cb11a0853b',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '19864641-770d-44b5-b97b-cfaf85faf65a',
      name: 'Christopher Cole',
      displayName: 'Christopher Cole',
      version: 0.1,
      updatedAt: 1637994113784,
      updatedBy: 'anonymous',
      email: 'christopher_cole0@gmail.com',
      href: 'http://localhost:8585/api/v1/users/19864641-770d-44b5-b97b-cfaf85faf65a',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '203d2f9d-3248-47dc-972c-f15b72ce434f',
      name: 'Christopher Garza',
      displayName: 'Christopher Garza',
      version: 0.1,
      updatedAt: 1637994114198,
      updatedBy: 'anonymous',
      email: 'christopher_garza8@gmail.com',
      href: 'http://localhost:8585/api/v1/users/203d2f9d-3248-47dc-972c-f15b72ce434f',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'c8de2db2-6be4-4f9f-b814-66c044fde5e9',
      name: 'Christopher Hayes',
      displayName: 'Christopher Hayes',
      version: 0.1,
      updatedAt: 1637994114633,
      updatedBy: 'anonymous',
      email: 'christopher_hayes0@gmail.com',
      href: 'http://localhost:8585/api/v1/users/c8de2db2-6be4-4f9f-b814-66c044fde5e9',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '0f8ca0dc-5f6f-4ce0-a1e3-28d1f8542bb0',
      name: 'Christopher Hull',
      displayName: 'Christopher Hull',
      version: 0.1,
      updatedAt: 1637994115070,
      updatedBy: 'anonymous',
      email: 'christopher_hull3@gmail.com',
      href: 'http://localhost:8585/api/v1/users/0f8ca0dc-5f6f-4ce0-a1e3-28d1f8542bb0',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'efe78807-e15c-491e-9c74-277fa10e105e',
      name: 'Christopher Strickland',
      displayName: 'Christopher Strickland',
      version: 0.1,
      updatedAt: 1637994115504,
      updatedBy: 'anonymous',
      email: 'christopher_strickland5@gmail.com',
      href: 'http://localhost:8585/api/v1/users/efe78807-e15c-491e-9c74-277fa10e105e',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '0eeb75b2-588e-4297-86c4-091e19f701de',
      name: 'Christopher Weaver',
      displayName: 'Christopher Weaver',
      version: 0.1,
      updatedAt: 1637994117105,
      updatedBy: 'anonymous',
      email: 'christopher_weaver0@gmail.com',
      href: 'http://localhost:8585/api/v1/users/0eeb75b2-588e-4297-86c4-091e19f701de',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '4b8a980d-8f59-4d84-9cf7-a916f6155060',
      name: 'Cindy Santiago',
      displayName: 'Cindy Santiago',
      version: 0.1,
      updatedAt: 1637994117531,
      updatedBy: 'anonymous',
      email: 'cindy_santiago7@gmail.com',
      href: 'http://localhost:8585/api/v1/users/4b8a980d-8f59-4d84-9cf7-a916f6155060',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '3fd03ce4-a59c-4d92-a949-cc355e864e63',
      name: 'Cindy Tapia',
      displayName: 'Cindy Tapia',
      version: 0.1,
      updatedAt: 1637994118004,
      updatedBy: 'anonymous',
      email: 'cindy_tapia6@gmail.com',
      href: 'http://localhost:8585/api/v1/users/3fd03ce4-a59c-4d92-a949-cc355e864e63',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '7f6ddaf6-2809-43ac-9be8-695ed99ebc9e',
      name: 'Clinton Smith',
      displayName: 'Clinton Smith',
      version: 0.1,
      updatedAt: 1637994118519,
      updatedBy: 'anonymous',
      email: 'clinton_smith4@gmail.com',
      href: 'http://localhost:8585/api/v1/users/7f6ddaf6-2809-43ac-9be8-695ed99ebc9e',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '8cbca3a6-8388-46aa-aee3-6bbe4e5307e4',
      name: 'Cody Crawford',
      displayName: 'Cody Crawford',
      version: 0.1,
      updatedAt: 1637994120093,
      updatedBy: 'anonymous',
      email: 'cody_crawford2@gmail.com',
      href: 'http://localhost:8585/api/v1/users/8cbca3a6-8388-46aa-aee3-6bbe4e5307e4',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '1efc95cf-26c2-4126-abf2-a4834b3ad9b5',
      name: 'Cole Bird',
      displayName: 'Cole Bird',
      version: 0.1,
      updatedAt: 1637994120765,
      updatedBy: 'anonymous',
      email: 'cole_bird3@gmail.com',
      href: 'http://localhost:8585/api/v1/users/1efc95cf-26c2-4126-abf2-a4834b3ad9b5',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'a0704047-41dd-412e-84de-6524cb1b1e7a',
      name: 'Colin Ho',
      displayName: 'Colin Ho',
      version: 0.1,
      updatedAt: 1637994121447,
      updatedBy: 'anonymous',
      email: 'colin_ho2@gmail.com',
      href: 'http://localhost:8585/api/v1/users/a0704047-41dd-412e-84de-6524cb1b1e7a',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'ed770c95-698a-4358-ace2-cebd3ec60985',
      name: 'Connor Kelly',
      displayName: 'Connor Kelly',
      version: 0.1,
      updatedAt: 1637994121887,
      updatedBy: 'anonymous',
      email: 'connor_kelly9@gmail.com',
      href: 'http://localhost:8585/api/v1/users/ed770c95-698a-4358-ace2-cebd3ec60985',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'fd10eeff-892e-4110-bff1-f49f24013e6f',
      name: 'Corey Carson',
      displayName: 'Corey Carson',
      version: 0.1,
      updatedAt: 1637994124037,
      updatedBy: 'anonymous',
      email: 'corey_carson6@gmail.com',
      href: 'http://localhost:8585/api/v1/users/fd10eeff-892e-4110-bff1-f49f24013e6f',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'e3e3b59f-944a-4836-be8d-091e5596062d',
      name: 'Courtney Duncan',
      displayName: 'Courtney Duncan',
      version: 0.1,
      updatedAt: 1637994124623,
      updatedBy: 'anonymous',
      email: 'courtney_duncan1@gmail.com',
      href: 'http://localhost:8585/api/v1/users/e3e3b59f-944a-4836-be8d-091e5596062d',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '16d3b893-49cb-4008-91e5-ecd6f9180590',
      name: 'Craig Owens',
      displayName: 'Craig Owens',
      version: 0.1,
      updatedAt: 1637994126809,
      updatedBy: 'anonymous',
      email: 'craig_owens0@gmail.com',
      href: 'http://localhost:8585/api/v1/users/16d3b893-49cb-4008-91e5-ecd6f9180590',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: 'f4f2ba6a-497d-438e-9936-a26d1c9d211b',
      name: 'Cristina Deleon',
      displayName: 'Cristina Deleon',
      version: 0.1,
      updatedAt: 1637994127417,
      updatedBy: 'anonymous',
      email: 'cristina_deleon7@gmail.com',
      href: 'http://localhost:8585/api/v1/users/f4f2ba6a-497d-438e-9936-a26d1c9d211b',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '5a0aeacd-4035-41dc-a393-e3459fcf08a8',
      name: 'Cynthia Meyer',
      displayName: 'Cynthia Meyer',
      version: 0.1,
      updatedAt: 1637994129139,
      updatedBy: 'anonymous',
      email: 'cynthia_meyer3@gmail.com',
      href: 'http://localhost:8585/api/v1/users/5a0aeacd-4035-41dc-a393-e3459fcf08a8',
      deactivated: false,
      isAdmin: false,
    },
    {
      id: '4ffb64d9-b9ad-4bef-9825-41af28d329e5',
      name: 'Cynthia Reynolds',
      displayName: 'Cynthia Reynolds',
      version: 0.1,
      updatedAt: 1637994129953,
      updatedBy: 'anonymous',
      email: 'cynthia_reynolds6@gmail.com',
      href: 'http://localhost:8585/api/v1/users/4ffb64d9-b9ad-4bef-9825-41af28d329e5',
      deactivated: false,
      isAdmin: false,
    },
  ],
  usageSummary: {
    dailyStats: {
      count: 100,
      percentileRank: 45,
    },
    weeklyStats: {
      count: 100,
      percentileRank: 45,
    },
    monthlyStats: {
      count: 100,
      percentileRank: 45,
    },
    date: '2021-11-27',
  },
  joins: {
    startDate: '2021-10-31',
    dayCount: 30,
    columnJoins: [
      {
        columnName: 'shop_id',
        joinedWith: [
          {
            fullyQualifiedName: 'bigquery.shopify.dim_shop.shop_id',
            joinCount: 35,
          },
        ],
      },
      {
        columnName: 'address_id',
        joinedWith: [
          {
            fullyQualifiedName: 'bigquery.shopify.fact_sale.api_client_id',
            joinCount: 49,
          },
          {
            fullyQualifiedName: 'bigquery.shopify.fact_sale.billing_address_id',
            joinCount: 49,
          },
          {
            fullyQualifiedName: 'bigquery.shopify.fact_sale.customer_id',
            joinCount: 49,
          },
          {
            fullyQualifiedName: 'bigquery.shopify.fact_sale.location_id',
            joinCount: 49,
          },
          {
            fullyQualifiedName: 'bigquery.shopify.fact_sale.order_id',
            joinCount: 49,
          },
          {
            fullyQualifiedName: 'bigquery.shopify.fact_sale.product_id',
            joinCount: 49,
          },
          {
            fullyQualifiedName: 'bigquery.shopify.fact_sale.product_variant_id',
            joinCount: 49,
          },
          {
            fullyQualifiedName:
              'bigquery.shopify.fact_sale.shipping_address_id',
            joinCount: 49,
          },
          {
            fullyQualifiedName: 'bigquery.shopify.fact_sale.shop_id',
            joinCount: 49,
          },
          {
            fullyQualifiedName: 'bigquery.shopify.fact_sale.user_id',
            joinCount: 49,
          },
        ],
      },
    ],
  },
  version: 0.1,
  lineageLeafNodes: {},
};

export const mockSearchData = {
  resSearchResults: {
    data: {
      took: 73,
      timed_out: false,
      _shards: {
        total: 1,
        successful: 1,
        skipped: 0,
        failed: 0,
      },
      hits: {
        total: {
          value: 4,
          relation: 'eq',
        },
        max_score: 5,
        hits: [
          {
            _index: 'table_search_index',
            _type: '_doc',
            _id: '644405ad-60fe-4329-884f-fc3e3ab6c6a5',
            _score: 5.028171,
            _source: {
              name: 'dim_address',
              fqdn: 'sample_data.ecommerce_db.shopify.dim_address',
              service: 'sample_data',
              deleted: false,
              suggest: [
                {
                  input: 'sample_data.ecommerce_db.shopify.dim_address',
                  weight: 5,
                },
                {
                  input: 'dim_address',
                  weight: 10,
                },
              ],
              description:
                'This dimension table contains the billing and shipping addresses of customers. You can join this table with the sales table to generate lists of the billing and shipping addresses. Customers can enter their addresses more than once, so the same address can appear in more than one row in this table. This table contains one row per customer address.',
              tags: [],
              followers: [],
              database: 'ecommerce_db',
              display_name: 'dim_address',
              service_type: 'SampleData',
              service_category: 'databaseService',
              entity_type: 'table',
              last_updated_timestamp: 1651646494234,
              table_id: '644405ad-60fe-4329-884f-fc3e3ab6c6a5',
              database_schema: 'shopify',
              table_type: 'Regular',
              column_names: [
                'address_id',
                'shop_id',
                'first_name',
                'last_name',
                'address1',
                'address2',
                'company',
                'city',
                'region',
                'zip',
                'country',
                'phone',
              ],
              column_descriptions: [
                'Unique identifier for the address.',
                'The ID of the store. This column is a foreign key reference to the shop_id column in the dim_shop table.',
                'First name of the customer.',
                'Last name of the customer.',
                'The first address line. For example, 150 Elgin St.',
                'The second address line. For example, Suite 800.',
                "The name of the customer's business, if one exists.",
                'The name of the city. For example, Palo Alto.',
                'The name of the region, such as a province or state, where the customer is located. For example, Ontario or New York. This column is the same as CustomerAddress.province in the Admin API.',
                'The ZIP or postal code. For example, 90210.',
                'The full name of the country. For example, Canada.',
                'The phone number of the customer.',
              ],
            },
            highlight: {
              name: ['<span class="text-highlighter">dim_address</span>'],
            },
          },
          {
            _index: 'table_search_index',
            _type: '_doc',
            _id: '94f17852-72a4-4098-88e3-51a9956492d4',
            _score: 5.028171,
            _source: {
              name: 'dim_api_client',
              fqdn: 'sample_data.ecommerce_db.shopify.dim_api_client',
              service: 'sample_data',
              deleted: false,
              suggest: [
                {
                  input: 'sample_data.ecommerce_db.shopify.dim_api_client',
                  weight: 5,
                },
                {
                  input: 'dim_api_client',
                  weight: 10,
                },
              ],
              description:
                'This dimension table contains a row for each channel or app that your customers use to create orders. Some examples of these include Facebook and Online Store. You can join this table with the sales table to measure channel performance.',
              tags: [],
              followers: [],
              database: 'ecommerce_db',
              display_name: 'dim_api_client',
              service_type: 'SampleData',
              service_category: 'databaseService',
              entity_type: 'table',
              last_updated_timestamp: 1651646494754,
              table_id: '94f17852-72a4-4098-88e3-51a9956492d4',
              database_schema: 'shopify',
              table_type: 'Regular',
              column_names: ['api_client_id', 'title'],
              column_descriptions: [
                'ID of the API client that called the Shopify API. For example, the ID for the online store is 580111.',
                'Full name of the app or channel. For example, Point of Sale, Online Store.',
              ],
            },
            highlight: {
              name: ['<span class="text-highlighter">dim_api_client</span>'],
            },
          },
          {
            _index: 'table_search_index',
            _type: '_doc',
            _id: '11b39960-aa07-45da-ac81-b9ac750587f6',
            _score: 1.0281708,
            _source: {
              name: 'fact_order',
              fqdn: 'sample_data.ecommerce_db.shopify.fact_order',
              service: 'sample_data',
              deleted: false,
              suggest: [
                {
                  input: 'sample_data.ecommerce_db.shopify.fact_order',
                  weight: 5,
                },
                {
                  input: 'fact_order',
                  weight: 10,
                },
              ],
              description:
                'The orders table contains information about each order in your store. Although this table is good for generating order lists and joining with the dim_customer, use the sales table instead for computing financial or other metrics.',
              tags: [],
              followers: [],
              database: 'ecommerce_db',
              display_name: 'fact_order',
              service_type: 'SampleData',
              service_category: 'databaseService',
              entity_type: 'table',
              last_updated_timestamp: 1651646496420,
              table_id: '11b39960-aa07-45da-ac81-b9ac750587f6',
              database_schema: 'shopify',
              table_type: 'Regular',
              column_names: [
                'order_id',
                'api_client_id',
                'billing_address_id',
                'customer_id',
                'location_id',
                'shipping_address_id',
                'shop_id',
                'user_id',
                'name',
                'total_price',
                'discount_code',
                'processed_at',
                'canceled_at',
                'deleted_at',
                'test',
              ],
              column_descriptions: [
                'Unique numeric identifier for the order across Shopify stores. In your Shopify admin, this ID is used internally. Most merchants are familiar with the other ID that appears on orders in the Shopify admin. This ID can be found in the Name column.',
                'The ID of the API client that called the Shopify API. This column is a foreign key reference to the api_client_id column in the dim_api_client table.',
                null,
                'The ID of the customer. This column is a foreign key reference to the customer_id column in the dim_customer table.',
                null,
                null,
                'The ID of the store. This column is a foreign key reference to the shop_id column in the dim.shop table.',
                'The ID of the staff member who created the order. This column is a foreign key reference to the ID in the dim_staff table. This column applies to Shopify POS orders and to orders that were converted from draft orders.',
                'The identifier of the order that the merchant and customer sees. This is the ID that appears on the order in the Shopify admin. For example, #1001. By default, this identifier is unique to one store. If you have multiple stores, then use the order_id column to guarantee uniqueness across multiple stores.',
                'The total price of the order, including shipping and taxes. This column includes gift card sales, but does not include returns. This value may not be accurate for API-imported orders. Do not use this column for financial calculations. Instead, use the total_price column in the sales table.',
                'The discount code that was applied to the order.',
                'The date (ISO 8601) and time (UTC) when the order was created. The format is YYYY-MM-DD HH:mm:ss (for example, 2016-02-05 17:04:01).',
                'If the order was canceled, then this column contains the date (ISO 8601) and time (UTC) when the order was canceled. The format is YYYY-MM-DD HH:mm:ss (for example, 2016-02-05 17:04:01).',
                'If the order was deleted, then this column contains the date (ISO 8601) and time (UTC) when the order was deleted. The format is YYYY-MM-DD HH:mm:ss (for example, 2016-02-05 17:04:01).',
                'True when the order is a test order, False otherwise.',
              ],
            },
            highlight: {
              column_descriptions: [
                'This column is a foreign key reference to the api_client_id column in the <span class="text-highlighter">dim_api_client</span> table.',
              ],
            },
          },
          {
            _index: 'table_search_index',
            _type: '_doc',
            _id: '53ee6a12-6ba7-437a-a9b8-5d64fb7ffe1a',
            _score: 1.0281708,
            _source: {
              name: 'fact_sale',
              fqdn: 'sample_data.ecommerce_db.shopify.fact_sale',
              service: 'sample_data',
              deleted: false,
              suggest: [
                {
                  input: 'sample_data.ecommerce_db.shopify.fact_sale',
                  weight: 5,
                },
                {
                  input: 'fact_sale',
                  weight: 10,
                },
              ],
              description:
                'The fact table captures the value of products sold or returned, as well as the values of other charges such as taxes and shipping costs. The sales table contains one row per order line item, one row per returned line item, and one row per shipping charge. Use this table when you need financial metrics.',
              tags: [],
              followers: [],
              database: 'ecommerce_db',
              display_name: 'fact_sale',
              service_type: 'SampleData',
              service_category: 'databaseService',
              entity_type: 'table',
              last_updated_timestamp: 1651646496653,
              table_id: '53ee6a12-6ba7-437a-a9b8-5d64fb7ffe1a',
              database_schema: 'shopify',
              table_type: 'Regular',
              column_names: [
                'sale_id',
                'billing_address_id',
                'api_client_id',
                'customer_id',
                'line_item_id',
                'location_id',
                'order_id',
                'product_id',
                'product_variant_id',
                'shipping_address_id',
                'shop_id',
                'user_id',
                'gross_sales',
                'net_sales',
                'total_sales',
                'returns',
                'discounts',
                'shipping',
                'taxes',
                'gift_card_discounts',
                'gift_card_gross_sales',
                'gift_cards_issued',
                'quantity',
                'currency',
                'is_deleted',
                'test',
                'happened_at',
              ],
              column_descriptions: [
                'ID of the sale row. This column is the primary key for this table.',
                'ID of the billing address of the customer. This column is a foreign key reference to the address_id column in the dim_address table.',
                'ID of the API client from which the adjustment was made. This column is a foreign key reference to the ID of the API client in the dim_api_client table.',
                'ID of the customer. This column is a foreign key reference to the customer_id column in the dim_customer table.',
                'ID of the line item. This column is a foreign key reference to line_item_id column in the fact_line_item table. When the row describes a shipping charge, there is no line_item_id value.',
                'ID of the Shopify POS location. This column is a foreign key reference to the location_id column in the dim_location table. When the order is not a POS order, then there is no location ID.',
                'ID of the order. This column is a foreign key reference to order_id column in the fact_order table.',
                'ID of the product sold or returned. This column is a foreign key reference to the product_id column in the dim.product table. When the line item describes a shipping charge, then there is no product ID.',
                'ID of the product variant sold or returned. This column is a foreign key reference to the product_variant_id column in the dim.product_variant table. When the row describes a shipping charge, then there is no product variant ID.',
                "ID of the shipping address of the customer who made the order. This column is a foreign key reference to the address_id column in the dim_address table. Some sales, such as those made using Shopify POS, do not have a customer's shipping address associated with them.",
                'ID of your store. This column is a foreign key reference to the shop_id column in the dim.shop table.',
                'ID of the staff member who is associated with the sale. This column is a foreign key reference to the user_id column in the dim_staff table. Not all sales have a staff member associated with them.',
                'Price of the product purchased multiplied by the quantity ordered. This value is formatted in the currency of your store. If the product purchased is a gift card, then 0 is returned because gift cards are not included in gross sales calculations. The gross sales amount also does not include any discounts, returns, taxes or shipping charges. The gross_sales column is calculated using the following formula: product (excluding gift cards) price x quantity (before taxes, shipping, discounts, and returns). Canceled, pending, and unpaid orders will have a value for this column, but test and deleted orders will not.',
                "Net sales of the line item. The value of the line item's gross sales minus any discounts minus the value of any returned items. Net sales does not include taxes or shipping costs, or the sale of gift cards. If the line item contains gift cards, then the field contains 0. Net sales is calculated by using the following formula: gross_sales - discounts - returns.",
                'Total sales of the line item. This value does not include gift cards. Total sales is calculated using the following formula: net_sales + shipping + taxes.',
                'Value of the products returned by the customer regardless of the amount that the merchant actually receives from the customer. This value is usually a negative number, but it can also be zero (for example, if the item being returned was a free gift with purchase). Taxes and shipping charges are not included. The returns amount is calculated by using the following formula: 0 - (product variant price * quantity) + discounts.',
                "Total amount discounted from the line item. The discounts column contains the sum of any line item discounts plus the line item's portion of any order-level discount. The value of the discount is either negative or zero. The discounts column is calculated using the following formula: line item discount + order level discount share.",
                'When the line item is for a shipping charge, this column contains the amount charged for shipping the order or the amount of the shipping charge that is refunded when an item is returned. This value is positive for a shipping charge, and negative for the value returned. Any applicable taxes charged for shipping costs are recorded in the Taxes column. This column is calculated using the following formula: shipping charge or refund - shipping discount..',
                'The amount of taxes charged or returned for the line item. This value will be positive for a sale and negative for a return. Tax on an order is split proportionally amongst the line items to which it applies. Gift cards are not taxed. If multiple taxes are applied (for example, State and City sales taxes), then this column contains the sum of those tax amounts. This column can include taxes charged on shipping, if they are applicable.',
                'Total amount discounted from gift card sales. For example, if a $50 gift card is sold at a $10 discount for $40, then this column will contain $10.',
                'Total face value of gift cards sold. For example, a $50 gift card is sold at a $10 discount for $40. In this example, the gift_card_gross_sales column will contain $50. Use this column to measure the increase in liabilities due to gift cards being issued (even though this value will not balance against the actual payments that you receive).',
                'Net amount that the gift cards sold for, after discounts. For example, for a $50 gift card sold at a $10 discount for $40, this column will contain $40. Use this column to balance against the payments that you receive.',
                'Quantity of the items sold or returned. This value will be negative for returns and zero for line items that contain shipping charges.',
                'Three-letter ISO currency code of the payment. For example, USD is the code for United States Dollar. This is the currency of the store at the time of the order.',
                "Contains 1 when the sale's order was deleted, otherwise contains 0.",
                'Whether the sale is a test order. Returns True when the sale is a test sale. See Test orders.',
                'Date (ISO 8601) and time (UTC) when the order was created for a sale or when the order was returned.',
              ],
            },
            highlight: {
              column_descriptions: [
                'This column is a foreign key reference to the address_id column in the <span class="text-highlighter">dim_address</span> table.',
                'This column is a foreign key reference to the ID of the API client in the <span class="text-highlighter">dim_api_client</span> table.',
                'This column is a foreign key reference to the address_id column in the <span class="text-highlighter">dim_address</span> table.',
              ],
            },
          },
        ],
      },
      aggregations: {
        'sterms#EntityType': {
          doc_count_error_upper_bound: 0,
          sum_other_doc_count: 0,
          buckets: [
            {
              key: 'table',
              doc_count: 4,
            },
          ],
        },
        'sterms#ServiceCategory': {
          doc_count_error_upper_bound: 0,
          sum_other_doc_count: 0,
          buckets: [
            {
              key: 'databaseService',
              doc_count: 4,
            },
          ],
        },
        'sterms#Tier': {
          doc_count_error_upper_bound: 0,
          sum_other_doc_count: 0,
          buckets: [
            {
              key: `Tier${FQN_SEPARATOR_CHAR}Tier1`,
              doc_count: 1,
            },
          ],
        },
        'sterms#Service': {
          doc_count_error_upper_bound: 0,
          sum_other_doc_count: 0,
          buckets: [
            {
              key: 'BigQuery',
              doc_count: 4,
            },
          ],
        },
        'sterms#Tags': {
          doc_count_error_upper_bound: 0,
          sum_other_doc_count: 0,
          buckets: [
            {
              key: 'PII.Sensitive',
              doc_count: 1,
            },
            {
              key: 'PersonalData.Personal',
              doc_count: 1,
            },
            {
              key: 'User.CreditCardNumber',
              doc_count: 1,
            },
          ],
        },
      },
    },
    status: 200,
    statusText: 'OK',
    headers: {
      connection: 'close',
      'content-encoding': 'gzip',
      'content-type': 'application/json',
      date: 'Mon, 29 Nov 2021 12:18:24 GMT',
      'transfer-encoding': 'chunked',
      vary: 'Accept-Encoding',
      'x-powered-by': 'Express',
    },
    config: {
      url: '/search/query?q=*dim_a*&from=0&size=10&sort_order=desc&index=table_search_index',
      method: 'get',
      headers: {
        Accept: 'application/json, text/plain, */*',
      },
      baseURL: '/api/v1',
      transformRequest: [null],
      transformResponse: [null],
      timeout: 0,
      xsrfCookieName: 'XSRF-TOKEN',
      xsrfHeaderName: 'X-XSRF-TOKEN',
      maxContentLength: -1,
      maxBodyLength: -1,
    },
    request: {},
  },
  resAggServiceType: {
    data: {
      took: 31,
      timed_out: false,
      _shards: {
        total: 1,
        successful: 1,
        skipped: 0,
        failed: 0,
      },
      hits: {
        total: {
          value: 4,
          relation: 'eq',
        },
        max_score: null,
        hits: [],
      },
      aggregations: {
        'sterms#EntityType': {
          doc_count_error_upper_bound: 0,
          sum_other_doc_count: 0,
          buckets: [
            {
              key: 'table',
              doc_count: 4,
            },
          ],
        },
        'sterms#ServiceCategory': {
          doc_count_error_upper_bound: 0,
          sum_other_doc_count: 0,
          buckets: [
            {
              key: 'databaseService',
              doc_count: 4,
            },
          ],
        },
        'sterms#Tier': {
          doc_count_error_upper_bound: 0,
          sum_other_doc_count: 0,
          buckets: [
            {
              key: `Tier${FQN_SEPARATOR_CHAR}Tier1`,
              doc_count: 1,
            },
          ],
        },
        'sterms#Service': {
          doc_count_error_upper_bound: 0,
          sum_other_doc_count: 0,
          buckets: [
            {
              key: 'BigQuery',
              doc_count: 4,
            },
          ],
        },
        'sterms#Tags': {
          doc_count_error_upper_bound: 0,
          sum_other_doc_count: 0,
          buckets: [
            {
              key: 'PII.Sensitive',
              doc_count: 1,
            },
            {
              key: 'PersonalData.Personal',
              doc_count: 1,
            },
            {
              key: 'User.CreditCardNumber',
              doc_count: 1,
            },
          ],
        },
      },
    },
    status: 200,
    statusText: 'OK',
    headers: {
      connection: 'close',
      'content-encoding': 'gzip',
      'content-length': '325',
      'content-type': 'application/json',
      date: 'Mon, 29 Nov 2021 12:18:24 GMT',
      vary: 'Accept-Encoding',
      'x-powered-by': 'Express',
    },
    config: {
      url: '/search/query?q=*dim_a*&from=0&size=0&sort_order=desc&index=table_search_index',
      method: 'get',
      headers: {
        Accept: 'application/json, text/plain, */*',
      },
      baseURL: '/api/v1',
      transformRequest: [null],
      transformResponse: [null],
      timeout: 0,
      xsrfCookieName: 'XSRF-TOKEN',
      xsrfHeaderName: 'X-XSRF-TOKEN',
      maxContentLength: -1,
      maxBodyLength: -1,
    },
    request: {},
  },
  resAggTier: {
    data: {
      took: 9,
      timed_out: false,
      _shards: {
        total: 1,
        successful: 1,
        skipped: 0,
        failed: 0,
      },
      hits: {
        total: {
          value: 4,
          relation: 'eq',
        },
        max_score: null,
        hits: [],
      },
      aggregations: {
        'sterms#EntityType': {
          doc_count_error_upper_bound: 0,
          sum_other_doc_count: 0,
          buckets: [
            {
              key: 'table',
              doc_count: 4,
            },
          ],
        },
        'sterms#ServiceCategory': {
          doc_count_error_upper_bound: 0,
          sum_other_doc_count: 0,
          buckets: [
            {
              key: 'databaseService',
              doc_count: 4,
            },
          ],
        },
        'sterms#Tier': {
          doc_count_error_upper_bound: 0,
          sum_other_doc_count: 0,
          buckets: [
            {
              key: `Tier${FQN_SEPARATOR_CHAR}Tier1`,
              doc_count: 1,
            },
          ],
        },
        'sterms#Service': {
          doc_count_error_upper_bound: 0,
          sum_other_doc_count: 0,
          buckets: [
            {
              key: 'BigQuery',
              doc_count: 4,
            },
          ],
        },
        'sterms#Tags': {
          doc_count_error_upper_bound: 0,
          sum_other_doc_count: 0,
          buckets: [
            {
              key: 'PII.Sensitive',
              doc_count: 1,
            },
            {
              key: 'PersonalData.Personal',
              doc_count: 1,
            },
            {
              key: 'User.CreditCardNumber',
              doc_count: 1,
            },
          ],
        },
      },
    },
    status: 200,
    statusText: 'OK',
    headers: {
      connection: 'close',
      'content-encoding': 'gzip',
      'content-length': '326',
      'content-type': 'application/json',
      date: 'Mon, 29 Nov 2021 12:18:24 GMT',
      vary: 'Accept-Encoding',
      'x-powered-by': 'Express',
    },
    config: {
      url: '/search/query?q=*dim_a*&from=0&size=0&sort_order=desc&index=table_search_index',
      method: 'get',
      headers: {
        Accept: 'application/json, text/plain, */*',
      },
      baseURL: '/api/v1',
      transformRequest: [null],
      transformResponse: [null],
      timeout: 0,
      xsrfCookieName: 'XSRF-TOKEN',
      xsrfHeaderName: 'X-XSRF-TOKEN',
      maxContentLength: -1,
      maxBodyLength: -1,
    },
    request: {},
  },
  resAggTag: {
    data: {
      took: 9,
      timed_out: false,
      _shards: {
        total: 1,
        successful: 1,
        skipped: 0,
        failed: 0,
      },
      hits: {
        total: {
          value: 4,
          relation: 'eq',
        },
        max_score: null,
        hits: [],
      },
      aggregations: {
        'sterms#EntityType': {
          doc_count_error_upper_bound: 0,
          sum_other_doc_count: 0,
          buckets: [
            {
              key: 'table',
              doc_count: 4,
            },
          ],
        },
        'sterms#ServiceCategory': {
          doc_count_error_upper_bound: 0,
          sum_other_doc_count: 0,
          buckets: [
            {
              key: 'databaseService',
              doc_count: 4,
            },
          ],
        },
        'sterms#Tier': {
          doc_count_error_upper_bound: 0,
          sum_other_doc_count: 0,
          buckets: [
            {
              key: `Tier${FQN_SEPARATOR_CHAR}Tier1`,
              doc_count: 1,
            },
          ],
        },
        'sterms#Service': {
          doc_count_error_upper_bound: 0,
          sum_other_doc_count: 0,
          buckets: [
            {
              key: 'BigQuery',
              doc_count: 4,
            },
          ],
        },
        'sterms#Tags': {
          doc_count_error_upper_bound: 0,
          sum_other_doc_count: 0,
          buckets: [
            {
              key: 'PII.Sensitive',
              doc_count: 1,
            },
            {
              key: 'PersonalData.Personal',
              doc_count: 1,
            },
            {
              key: 'User.CreditCardNumber',
              doc_count: 1,
            },
          ],
        },
      },
    },
    status: 200,
    statusText: 'OK',
    headers: {
      connection: 'close',
      'content-encoding': 'gzip',
      'content-length': '326',
      'content-type': 'application/json',
      date: 'Mon, 29 Nov 2021 12:18:24 GMT',
      vary: 'Accept-Encoding',
      'x-powered-by': 'Express',
    },
    config: {
      url: '/search/query?q=*dim_a*&from=0&size=0&sort_order=desc&index=table_search_index',
      method: 'get',
      headers: {
        Accept: 'application/json, text/plain, */*',
      },
      baseURL: '/api/v1',
      transformRequest: [null],
      transformResponse: [null],
      timeout: 0,
      xsrfCookieName: 'XSRF-TOKEN',
      xsrfHeaderName: 'X-XSRF-TOKEN',
      maxContentLength: -1,
      maxBodyLength: -1,
    },
    request: {},
  },
};
